// ------------------------------------------------------------
//   Site Builder (c) 2004, SWsoft
//
//
//   since: 16 Oct 2004
// version: $Id: categories.js,v 1.8 2005/11/09 09:40:36 aiskrenkov Exp $
//  author: Ilnar Salachiev
// ------------------------------------------------------------

// consts
var PAGE_VIEW_MODE = 0;
var PAGE_ADD_MODE = 1;
var PAGE_EDIT_MODE = 2;

var inputNewPageBoxID = 'SB_Style_inputNewPage';
var selectBoxName = 'sb_categories_list';
var inputCategoryName = 'sb_category_name';
var inputCategoryID = 'sb_page_content';
var inputPageSetTitle = 'sb_pageset_title';
var pageInfoButtonsPanelID = 'SBStylePageInfoButtons';
var inputNewCategoryCaption = 'inputNewCategoryCaption';
// Vars

var sb_selectedIndex = -1;
var sb_selectedIndexSaved = -1;
var isNoLockedAction = true;
var pageContents = new Array();

//
// 0 - view mode
// 1 - add mode
// 2 - edit mode
//
var pageInfoMode = PAGE_VIEW_MODE; 

// localized messages:
var MSG_NOTHING_SELECTED_CATEGORIES = document.getElementById('MSG_NOTHING_SELECTED_CATEGORIES').value;
var MSG_SELECT_ONLY_ONE_CATEGORY = document.getElementById('MSG_SELECT_ONLY_ONE_CATEGORY').value;
var MSG_CATEGORY_ADDED = document.getElementById('MSG_CATEGORY_ADDED').value;
var MSG_CATEGORY_UPDATED = document.getElementById('MSG_CATEGORY_UPDATED').value;
var MSG_CATEGORY_DELETED = document.getElementById('MSG_CATEGORY_DELETED').value;
var MSG_LIST_EMPTY = document.getElementById('MSG_LIST_EMPTY').value;
var MSG_INVALID_CATEGORY_NAME = document.getElementById('MSG_INVALID_CATEGORY_NAME').value;
var TITLE_CATEGORY_ADD = document.getElementById('TITLE_CATEGORY_ADD').value;
var TITLE_CATEGORY_UPDATE = document.getElementById('TITLE_CATEGORY_UPDATE').value;
var EXISTING_CATEGORY_MSG = document.getElementById('EXISTING_CATEGORY_MSG').value;



var CategoryID = 0;
var DEFAULT_CATEGORY_NAME;


var DEFAULT_HTML_PAGE_CONTENT="";


// Functions


function doInit(ev) {
  if(ev.keyCode==13) {
	sb_apply_page_info();
  } else {
	return false;
  }
}

function getCategoryID() {   
	var fo = document.forms[0];
  	var sb = fo.elements[selectBoxName];

  	if (sb.length==0) {   
		CategoryID = 1;
  	}

  	if (CategoryID == 0) {
		var maxID = 0;
		for(i=0; sb.length > i; i++) {
			var val = sb.options[i].value;
	  		if ( parseInt(val) > maxID ) {
				maxID = parseInt(val);
	  		}
		}
		maxID++;
		CategoryID = maxID;
  } else {
		CategoryID++;
  }
  return CategoryID;
}


// ------------
//
//
function sb_setAddMode(defaultTitle,successMessage) {
	if(!isNoLockedAction) {
		return false;
	}
	
	DEFAULT_CATEGORY_NAME = defaultTitle;
	
	var fo = document.forms[0];
	if(null==fo) {
		return;
	}
	
	var ib = fo.elements[inputCategoryName];
	var sb = fo.elements[selectBoxName];
	if(null==ib || null==sb) {
		return;
	}
	
	var dt=new Date();
	var categoryID = getCategoryID();
	var categoryName = defaultTitle;
	
	sb_selectedIndexSaved = sb_selectedIndex;
	pageInfoMode = PAGE_ADD_MODE;
	
	for (i=0; i < sb.length; i++) {
		sb.options[i].selected = false;
	}
	
	newIndex = sb.length;
	sb_selectedIndex = newIndex;
	
	sb.options[newIndex]=new Option( categoryName, categoryID, false, false);
	sb.options[newIndex].selected = true;
	
	sb.disabled=true;
	SetStatusMessage(successMessage, 'MB_OK');
	showPIB();
	
	var cc = fo.elements['sb_changes'];
	if(null!=cc) {
		cc.value=1;
	}
	
	ib.select();
	ib.focus();
	dc(0);
}


// ------------
//
//
function sb_setEditMode(successMessage) {
	if(!__sb_is_moving_or_edit()) {
		return false;
	}
	
	var fo = document.forms[0];
	if(null==fo) {
		return false;
	}
	
	var ib = fo.elements[inputCategoryName];
	var sb = fo.elements[selectBoxName];
	if(null==ib || null==sb) {
		return;
	}
	
	sb.disabled=true;
	
	pageInfoMode = PAGE_EDIT_MODE;
	SetStatusMessage(successMessage, 'MB_OK');
	showPIB();
	
	ib.select();
	ib.focus();
	dc(0);
}
// ------------
//
//
function sb_apply_page_info() {
	if(pageInfoMode!=PAGE_EDIT_MODE && pageInfoMode!=PAGE_ADD_MODE) {
		return 1;
	}
	
	var fo = document.forms[0];
	if(null==fo) {
		return 0;
	}
	
	var ib = fo.elements[inputCategoryName];
	var ibc = fo.elements[inputCategoryID];
	var sb = fo.elements[selectBoxName];
	if(null==ib || null==sb) {
		return 0;
	}
	
	if(ib.value=='' || sb_checkInvalidSymbols(ib.value)) {
		alert(MSG_INVALID_CATEGORY_NAME);
		return 0;
	}
	
	var countDefaultCategories = 0;
	var countNewCategories	 = 0;
	
	if(pageInfoMode==PAGE_ADD_MODE) {
		for (i=0; i < sb.length; i++) {
			if (sb.options[i].text == DEFAULT_CATEGORY_NAME ) {
				countDefaultCategories++;
			}
		}
		
		for (i=0; i < sb.length; i++) {
		  if ( sb.options[i].text == ib.value ) {		 
			if (sb.options[i].text == DEFAULT_CATEGORY_NAME && countDefaultCategories == 1 ) { 
			} else {
			  alert(EXISTING_CATEGORY_MSG);
			  return 0;
			}
		  }
		}
	}
	
	if(pageInfoMode==PAGE_EDIT_MODE) {
		for (i=0; i < sb.length; i++) {
	  		if (sb.options[i].text == ib.value && sb.options[i].selected == false) {
				countNewCategories++;
	  		}
		}
		if ( countNewCategories > 0 ) {
			alert(EXISTING_CATEGORY_MSG);
			return 0;
		}
	}

	var cc = fo.elements['sb_changes'];
	if(null!=cc) {
		cc.value=1;
	}
	
	var val = sb.options[sb_selectedIndex].value;
	if(pageInfoMode==PAGE_ADD_MODE) {
		if(val.indexOf(";")==-1) {
			sb.options[sb_selectedIndex].text = ib.value;
		} else {
			sb.options[sb_selectedIndex].text = '... ' + ib.value;
		}
	
		if(sb_selectedIndex!=-1) {
			sb.options[sb_selectedIndex].selected=true;
		}
	
		SetStatusMessage(MSG_CATEGORY_ADDED, 'MB_OK');
	} else {
		if(val.indexOf(";")==-1) {
			sb.options[sb_selectedIndex].text=ib.value;
		} else {
			sb.options[sb_selectedIndex].text='... ' + ib.value;
		}
		if(sb_selectedIndex!=-1) {
			sb.options[sb_selectedIndex].selected=true;
		}
		SetStatusMessage(MSG_CATEGORY_UPDATED, 'MB_OK');
	}
	
	pageInfoMode = PAGE_VIEW_MODE;
	sb.disabled=false;
	showPIB();
	dc(0);
	
	return 1;
}
// ------------
//
//
function sb_cancel_change_page_info() {
	var fo = document.forms[0];
	if(null==fo) {
		return;
	}
	
	var ib = fo.elements[inputCategoryName];
	var sb = fo.elements[selectBoxName];
	if(null==ib || null==sb) {
		return;
	}
	
	if(pageInfoMode==PAGE_ADD_MODE) {
		sb.options[sb_selectedIndex]=null;
		sb_selectedIndex = sb_selectedIndexSaved;
		if(sb_selectedIndex!=-1) {
			sb.options[sb_selectedIndex].selected=true;
		}
	}
	
	pageInfoMode = PAGE_VIEW_MODE;
	sb.disabled=false;
	SetStatusMessage('', '', false);
	showPIB();
}
// ------------
// show|hide buttons panel for add|edit page info
//
function showPIB() {
	visiblePanel = pageInfoMode!=PAGE_VIEW_MODE;
	var el=document.getElementById(pageInfoButtonsPanelID);
	var caption=document.getElementById(inputNewCategoryCaption);
	
	if(pageInfoMode==PAGE_ADD_MODE) {
		caption.innerHTML = TITLE_CATEGORY_ADD + ':';
	} else {
		caption.innerHTML = TITLE_CATEGORY_UPDATE + ':';
	}
	
	if(null!=el) {
		el.style.visibility=visiblePanel?'visible':'hidden';
		el.style.display=visiblePanel?'block':'none';
		isNoLockedAction = !visiblePanel;
	}
	sb_resetPageData();
}

// ------------
//
//
function sb_PageInfoOnFocus(obj) { 
	if(pageInfoMode==PAGE_VIEW_MODE) {
		obj.blur(); 
	}
}

function sb_PagesListOnFocus(obj) { 
	if(pageInfoMode!=PAGE_VIEW_MODE) {
		obj.blur(); 
	}
}
// ------------
//
//
function sb_PagesListOnChange(obj) {
	sb_selectedIndex = obj.selectedIndex;
	sb_resetPageData();
	SetStatusMessage('', '', false);
}
// ------------
//
//
function sb_resetPageData() {
	var fo = document.forms[0];
	if(null==fo) {
		return;
	}
	var sb = fo.elements[selectBoxName];
	var ib = fo.elements[inputCategoryName];
	
	if( null==ib || null==sb) {
		return;
	}
	
	
	if(sb.length==0) {
		sb_selectedIndex=-1;
	} else {
		for (i=0; i < sb.length; i++) {
	  		if(sb.options[i].selected) {
				sb_selectedIndex = i;
				break;
	  		}
		}
		if(sb.length > 0 && sb_selectedIndex==-1) {
	  		sb_selectedIndex = 0;
	  		sb.options[0].selected = true;
		}
	}
	
	if(sb_selectedIndex==-1) {
		ib.value = '';
		ib.disabled=true;
	} else {
		ib.disabled=false;
		var val = sb.options[sb_selectedIndex].value;
		var txt = sb.options[sb_selectedIndex].text;
		if(val.indexOf(";")==-1) {
			ib.value = sb.options[sb_selectedIndex].text;
		} else {
			ib.value = txt.substring(4);
		}
	}
}
// ------------
//
//
function sb_del_category(confirmMessage) {
	if(!isNoLockedAction) {
		return false;
	}
	
	var fo = document.forms[0];
	if(null==fo) {
		return false;
	}
	var sb = fo.elements[selectBoxName];
	if(null==sb) {
		return false;
	}
	
	if(sb.length==0) {
		SetStatusMessage(MSG_NOTHING_SELECTED_CATEGORIES, 'MB_STOP');
		return false;
	}
	
	var totalDeleted = 0;
	for (i=0; i < sb.length; i++) {
		if(sb.options[i].selected) {
	  		totalDeleted++;
		}
	}
	
	if(totalDeleted==0) {
		SetStatusMessage(MSG_NOTHING_SELECTED_CATEGORIES, 'MB_STOP');
		return false;
	}
	
	dc(0);
	if(!confirm(totalDeleted + confirmMessage)) {
		return false;
	}
	
	
	for (i=0; i < sb.length; i++) {
		if(sb.options[i].selected) {
	  		pageContents[sb.options[i].value]=null;
	  		sb.options[i]=null;
	  		// netscape java script engine
	  		if(sb.options[i]!=null) {
	  			i = i - 1;
	  		}
		}
	}
	
	if(totalDeleted > 0) {
		SetStatusMessage(totalDeleted + ' ' + MSG_CATEGORY_DELETED, 'MB_OK');
		sb_selectedIndex = -1;
		sb_resetPageData();
		var cc = fo.elements['sb_changes'];
		if(null!=cc) {
			cc.value=1;
		}
	}
	dc(0);
}
// ------------
//
//
function __sb_is_moving_or_edit() {
	if(!isNoLockedAction) {
		return false;
	}
	
	var fo = document.forms[0];
	if(null==fo) {
		return false;
	}
	var sb = fo.elements[selectBoxName];
	if(null==sb) {
		return false;
	}
	
	if(sb.length==0) {
		SetStatusMessage(MSG_LIST_EMPTY, 'MB_STOP');
		return false;
	}
	
	var totalSelected = 0;
	for (i=0; i < sb.length; i++) {
		if(sb.options[i].selected) {
			totalSelected++;
		}
	}
	
	if(totalSelected == 0) {
		SetStatusMessage(MSG_NOTHING_SELECTED_CATEGORIES, 'MB_STOP');
		return false;
	}
	
	if(totalSelected > 1) {
		SetStatusMessage(MSG_SELECT_ONLY_ONE_CATEGORY, 'MB_STOP');
		return false;
	}
	
	return true;
}


function sb_checkInvalidSymbols(value) {
	var regexp = /[\'|\"|\&|\\|<|>]/;
	return regexp.test(value);
}

// Mark all selectbox's items 
// before sending of the given form
function sb_selectAll() {
	var fo = document.forms[0];
	if(null==fo) {
		return;
	}
	var sb = fo.elements[selectBoxName];
	if(null==sb) {
		return;
	}
	if(sb.length==0) {
		return;
	}
	
	for(i=0; sb.length > i; i++) {
		sb.options[i].selected=true;
	}
}

// Mark all selectbox's items 
// before sending of the given form
function sb_beforeSubmit() {						 
	if(!isNoLockedAction) {
		return 0;
	}
	var fo = document.forms[0];
	var el=document.getElementById('SB_CATEGORIES_FORM_DIV_HIDDENS');
	if(null==el || null==fo) {
		return 0;
	}
	
	var sb = fo.elements[selectBoxName];
	
	if(sb.length==0) {   
		SetStatusMessage(MSG_LIST_EMPTY, 'MB_STOP');
		return 0;
	}
	
	var buffer = '';
	for(i=0; sb.length > i; i++) {
		sb.options[i].selected=true;
	
		var val = sb.options[i].value;
		var txt = sb.options[i].text;
		
		buffer += '<input type="hidden" name="sb_category_id_'+i+'"'
			 +' value="'+sb.options[i].value
			 +'"/>\n<input type="hidden" name="sb_category_name_'+i+'"'
			 +' value="'+categories_encode_str(((val.indexOf(";")==-1)? sb.options[i].text : txt.substring(4)))+'"/>\n';
	}
	
	el.innerHTML = buffer;
	
	// disabled not submit data:
	var ib = fo.elements[inputCategoryName];
	if(null!=ib) {
		ib.disabled=true;
	}
	
	
	return 1;
}

function categories_encode_str(str) {
	try {
		str = str.replace(/&/ig, "&amp;");
		while(str.match(/\?/ig) != null) {
		  str = str.replace(/\?/ig,"&#63;");
		}
		while(str.match(/</ig) != null) {
		  str=str.replace(/</ig,'&lt;');
		}
		while(str.match(/>/ig) != null) {
		  str=str.replace(/>/ig,'&gt;');
		}
		while(str.match(/\'/ig) != null) {
		  str=str.replace(/\'/ig,"&#39;");
		}
		while(str.match(/\"/ig) != null) {
		  str=str.replace(/\"/ig,"&#34;");
		}
	}
	catch(e){ 
	}
	
	return str;
}

function validate() {
  	if(!sb_apply_page_info()) {
  		return 0;
  	}
  	return sb_beforeSubmit();
}
