<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="xml" indent="yes"/>
<xsl:strip-space elements="*"/>

<xsl:param name="tagName" select="''"/>
<xsl:param name="onOk" select="''"/>
<xsl:param name="onCancel" select="''"/>
<xsl:param name="baseURL" select="''"/>
<xsl:param name="tagProperties" select="''"/>
<xsl:param name="strAllert" select="''"/>
<xsl:param name="notPersent" select="''"/>
<xsl:param name="baseUrl" select="''"/>

<xsl:template match="WYSIWYG-TAG-EDIT">
<html>
	<head>
		<script language="javascript">
			document.write('<title>'+opener.fMessage('tagproperties')+'</title>');
		</script>
		<META http-equiv="Content-Type" content="text/html; charset=utf-8"/>
		<script language="javascript">
					baseUrl = '<xsl:value-of select="$baseUrl" disable-output-escaping="yes"/>';
					strAllert = '<xsl:value-of select="$strAllert" disable-output-escaping="yes"/>';
					notPersent = '<xsl:value-of select="$notPersent" disable-output-escaping="yes"/>';
			
			<xsl:apply-templates select="//WYSIWYG-TAG-EDIT/TAGPROPERTIES/NAMEPROPERTIES/VALUE" />

		</script>
		<style type="text/css">
			html, body {
			  background: #ffffff;
			  color: ButtonText;
			  font: 10px Verdana;
			}

			body {
				margin : 0px 0px 0px 0px;
				padding : 3px 3px 3px 3px;
			}

			table {
			  font: 10px Verdana;
			}
			form p {
			  margin-top: 5px;
			  margin-bottom: 5px;
			}

			.legend { 
				background-color: #EFEFEF;
				padding-left: 7px;
				padding-right: 7px;
				padding-top: 7px;
				padding-bottom: 7px;
				font-family: Verdana;
				font-size: 10px;
				color: #474747;
			}

			.fl { float: left; padding: 2px 5px; text-align: right; font-family: Verdana;color: #474747;}
			.fr { float: left; padding: 2px 5px; text-align: right; font-family: Verdana;color: #474747;}
			fieldset { padding: 0px 10px 0px 5px; background-color:#E5E5E5;}
			select, input, button { font: 10px Verdana; color:#474747;}
			button { width: 90px; }
			.space { padding: 2px; }
			input { 
			border-width: 1px;
			  border-color: #8494A0;
			  border-style: solid;}
			.title { 
			background: #ffffff;
			  color: red;
			  font-family: Verdana;
			  font-size: 12px;
			  font-weight: bold;
			  padding-left: 2px;
			}
			form { padding: 0px; margin: 0px; }
			table .label { text-align: right;font: 10px Verdana; color:#474747; }

			#buttons {
				  margin-top: 7px; margin-left: 2px; margin-right: 2px; border-top: 1px solid #999;
				  padding-top: 5px; text-align: right;
			}

			.buttonColor {
			  padding: 1px;
			  cursor: default;
			  border: 1px solid;
			  border-color: ButtonHighlight ButtonShadow ButtonShadow ButtonHighlight;
			}

			.buttonColor-hilite {
			  border-color: #000;
			}

			.buttonColor .chooser, .buttonColor .nocolor {
			  height: 2px;
			  border: 1px solid;
			  padding: 0px 15px;
			  border-color: ButtonShadow ButtonHighlight ButtonHighlight ButtonShadow;
			}

			.buttonColor .nocolor { padding: 0px; }
			.buttonColor .nocolor-hilite { background-color: #fff; color: #f00; }
		</style>
	</head>
	<body onLoad="javascript:doInit();">
		<table id="contentTable" border="0" cellpadding="0" cellspacing="0" width="100%">
			<tr>
				<td valign="top">	
					<table cellspacing="0" cellpadding="0" border="0" width="100%">
						<tr>
							<td style="font-size:2px;height:2px;">&amp;nbsp;</td>
						</tr>
						<tr>
							<td class='title' width="20px"><img src="{$baseURL}/wysiwyg/images/arrow.gif"/>
							</td>
							<td class="title">
							<xsl:value-of select="$tagName" disable-output-escaping="yes"/> - <xsl:value-of select="$tagProperties" disable-output-escaping="yes"/>
							</td>
						</tr>
					</table>
				</td>
			</tr>

			<tr>
				<td style="padding-left: 3px;">
					<div style="height: 100%; width: 100%; overflow: auto; overflow-y: auto;">
						<table id="contentTable1" border="0" cellpadding="0" cellspacing="0" width="100%">
							<xsl:apply-templates select="//WYSIWYG-TAG-EDIT/TAGPROPERTIES/NAMEPROPERTIES" mode="DRAWROPERTIES"/>
						</table>
					</div>
				</td>
			</tr>
			<tr>
				<td>
				<div id="buttons">
					<button type="button" name="ok" onclick="onOk();"><xsl:value-of select="$onOk" disable-output-escaping="yes"/></button>&amp;nbsp;<button type="button" name="cancel" onclick="onCancel();"><xsl:value-of select="$onCancel" disable-output-escaping="yes"/></button>
		</div>
				</td>
			</tr>
		</table>
	</body>
</html>
</xsl:template>

<xsl:template match="VALUE" mode="DRAWROPERTIES">
	<tr>
		<td width="30%" class="label" style="padding-right: 5px;"><xsl:value-of select="@LOCALIZED"/>:</td>
		<td nowrap="true" name="value" style="height: 20px; vertical-align: middle;">
		<xsl:choose>
		<xsl:when test="@TYPE = 'TEXT'">
			<xsl:call-template name="DRAWTEXT">
				<xsl:with-param name="name" select="@NAME"/>
				<xsl:with-param name="default" select="@DEFAULT"/>
			</xsl:call-template>
		</xsl:when>
		<xsl:when test="@TYPE = 'COLOR'">
			<xsl:call-template name="DRAWCOLOR">
				<xsl:with-param name="name" select="@NAME"/>
				<xsl:with-param name="default" select="@DEFAULT"/>
			</xsl:call-template>
		</xsl:when>
		<xsl:when test="@TYPE = 'BORDER'">
			<select style="width: 120px;">
			<xsl:attribute name="id"><xsl:value-of select="@NAME"/>Style</xsl:attribute>
			<xsl:attribute name="onChange"><xsl:value-of select="@ONCHANGE"/></xsl:attribute>
			<xsl:apply-templates select="OPTION" />
			</select>
			<xsl:call-template name="DRAWBORDER">
				<xsl:with-param name="name" select="@NAME"/>
				<xsl:with-param name="default" select="@DEFAULT"/>
			</xsl:call-template>
		</xsl:when>
		<xsl:when test="@TYPE = 'INT'">
			<xsl:call-template name="DRAWINT">
				<xsl:with-param name="name" select="@NAME"/>
				<xsl:with-param name="default" select="@DEFAULT"/>
			</xsl:call-template>
			<xsl:if test="OPTION">
			&amp;nbsp;<select style="width: 62px;">
			<xsl:attribute name="id">combo_<xsl:value-of select="@NAME"/></xsl:attribute>
				<xsl:apply-templates select="OPTION" />
				</select>
			</xsl:if>
			<xsl:if test="@EI">&amp;nbsp;<xsl:value-of select="@EI"/>
			</xsl:if>
		</xsl:when>
		<xsl:when test="@TYPE = 'COMBO'">
			<select style="width: 255px;">
			<xsl:attribute name="id"><xsl:value-of select="@NAME"/></xsl:attribute>
			<xsl:attribute name="onChange"><xsl:value-of select="@ONCHANGE"/></xsl:attribute>
			<xsl:apply-templates select="OPTION" />
			</select>
		</xsl:when>
		<xsl:otherwise>
		</xsl:otherwise>
		</xsl:choose>
		</td>
	</tr>
</xsl:template>

<xsl:template match="//WYSIWYG-TAG-EDIT/TAGPROPERTIES/NAMEPROPERTIES" mode="DRAWROPERTIES">
	<tr>
		<td height='5px' style="font-size:5px;">&amp;nbsp;</td>
	</tr>
	<tr>
		<td colspan="3">
			<fieldset>
					<table border="0" width="100%"  cellspacing="0" cellpadding="0" ID="Table2">
						<tr>
							<td height='3px' style="font-size:3px;" colspan='3'>&amp;nbsp;</td>
						</tr>
							<tr>
								<td class='legend' colspan='3'>
									<xsl:value-of select="@LOCALIZED"/>
								</td>
							</tr>
							<tr>
								<td height='5px' colspan='3' style="font-size:5px;">&amp;nbsp;</td>
							</tr>
							<xsl:apply-templates select="VALUE" mode="DRAWROPERTIES"/>
							<tr>
								<td height='3px' colspan='3' style="font-size:3px;">&amp;nbsp;</td>
							</tr>
					</table>
			</fieldset>
		</td>
	</tr>
</xsl:template>

<xsl:template name="DRAWTEXT">
	<xsl:param name="name" select="''"/>
	<xsl:param name="default" select="''"/>
	<input type="text" name="text" style="width: 255px;">
		<xsl:attribute name="id"><xsl:value-of select="$name" disable-output-escaping="yes"/></xsl:attribute>
		<xsl:attribute name="value"><xsl:value-of select="$default" disable-output-escaping="yes"/></xsl:attribute>
	</input>
</xsl:template>

<xsl:template name="DRAWCOLOR">
	<xsl:param name="name" select="''"/>
	<xsl:param name="default" select="''"/>
	<script language="javascript">
		doColorButtonBuild('<xsl:value-of select="$name" disable-output-escaping="yes"/>');
	</script>
</xsl:template>

<xsl:template name="DRAWBORDER">
	<xsl:param name="name" select="''"/>
	<xsl:param name="default" select="''"/>
	<script language="javascript">
		doBorderButtonBuild('<xsl:value-of select="$name" disable-output-escaping="yes"/>');
	</script>
</xsl:template>

<xsl:template name="DRAWINT">
	<xsl:param name="name" select="''"/>
	<xsl:param name="default" select="''"/>
	<input type="text" name="int" style="width: 185px;" maxlength="4">
		<xsl:attribute name="id"><xsl:value-of select="$name" disable-output-escaping="yes"/></xsl:attribute>
		<xsl:attribute name="value"><xsl:value-of select="$default" disable-output-escaping="yes"/></xsl:attribute>
	</input>
</xsl:template>

<xsl:template match="//WYSIWYG-TAG-EDIT/TAGPROPERTIES/NAMEPROPERTIES/VALUE[@TYPE='TEXT']">
		text.push('<xsl:value-of select="@NAME"/><xsl:value-of select="@STYLE"/>');
</xsl:template>

<xsl:template match="//WYSIWYG-TAG-EDIT/TAGPROPERTIES/NAMEPROPERTIES/VALUE[@TYPE='INT']">
		intvar.push('<xsl:value-of select="@NAME"/><xsl:value-of select="@STYLE"/>');
</xsl:template>

<xsl:template match="//WYSIWYG-TAG-EDIT/TAGPROPERTIES/NAMEPROPERTIES/VALUE[@TYPE='COMBO']">
		combo.push('<xsl:value-of select="@NAME"/><xsl:value-of select="@STYLE"/>');
</xsl:template>

<xsl:template match="//WYSIWYG-TAG-EDIT/TAGPROPERTIES/NAMEPROPERTIES/VALUE[@TYPE='COLOR']">
		colorcss.push('<xsl:value-of select="@NAME"/><xsl:value-of select="@STYLE"/>');
</xsl:template>

<xsl:template match="//WYSIWYG-TAG-EDIT/TAGPROPERTIES/NAMEPROPERTIES/VALUE[@TYPE='BORDER']">
		bordercss.push('<xsl:value-of select="@NAME"/><xsl:value-of select="@STYLE"/>');
</xsl:template>

<xsl:template match="OPTION">
	<option>
	<xsl:attribute name="value"><xsl:value-of select="@VALUE"/></xsl:attribute>
	<xsl:value-of select="@TEXT"/>
	</option>
</xsl:template>

</xsl:stylesheet>