<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:variable name="html4.doctype">&#60;!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"&#62;</xsl:variable>
<!--<xsl:variable name="html4.doctype">&#60;!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd"&#62;</xsl:variable>-->
<xsl:template name="ROOT-LAYOUT">
	<xsl:apply-templates select="SITEBUILDER-PAGE"/>
	<xsl:apply-templates select="/*/DEBUG"/>
	<xsl:apply-templates select="/*/STATISTIC"/>
</xsl:template>

<xsl:template match="SITEBUILDER-PAGE">
	<script type="text/javascript" language="javascript" src="{$baseURL}/wysiwyg/dialog.js"/>
	<!--<script type="text/javascript" language="javascript" src='{$baseURL}/js/common.js'></script>-->
	<table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
		<tr>
			<td valign="top">
				<table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
					<tr valign="top" height="73">
						<td align="left" valign="top">
							<xsl:apply-templates select="HEADER"/>
						</td>
					</tr>
					<tr>
						<td align="center" valign="top" class="colored">
							<xsl:call-template name="PAGE-CONTENT"/>
						</td>
					</tr>
					<tr valign="bottom" height="58">
						<td align="left">
							<xsl:apply-templates select="FOOTER"/>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
</xsl:template>


<xsl:template match="HEADER">
	<table cellpadding="0" cellspacing="0" width="100%" height="52" border="0" background="{$baseURL}/skins/{$sb_skin}/images/header_bg.gif">
		<tr>
			<td valign="top" align="center" width="130">
				<img src="{$baseURL}/images/{$systemLOGO}" border="0">
				<xsl:if test="$heightLOGO!=''">
				<xsl:attribute name="height"><xsl:value-of select="$heightLOGO"/></xsl:attribute>
				</xsl:if>
				<xsl:if test="$widthLOGO!=''">
				<xsl:attribute name="width"><xsl:value-of select="$widthLOGO"/></xsl:attribute>
				</xsl:if>
				</img>
			</td>
			<td>
				<table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
					<tr>
						<td align="right" valign="top"><xsl:apply-templates select="TOOLBAR"/></td>
					</tr>
					<tr>
						<td align="right" valign="bottom"><xsl:apply-templates select="WIZARD-TABS"/></td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
	<table cellpadding="0" cellspacing="0" width="100%" height="27" border="0" background="{$baseURL}/skins/{$sb_skin}/images/top_border_background.gif">
		<tr>
			<td height="24" width="220" style="background-repeat:no-repeat;" background="{$baseURL}/skins/{$sb_skin}/images/top_border.gif">
				<xsl:apply-templates select="LOGIN"/>
				<xsl:apply-templates select="GUI-CONTROL" mode="previewButton"/>
			</td>
			<xsl:apply-templates select="PAGE-SHORT-HELP"/>
		</tr>
	</table>
</xsl:template>

<xsl:template match="PAGE-SHORT-HELP">
	<xsl:choose>
		<xsl:when test="$browser='MOZILLA'">
			<td valign="top" width="5"><img border="0" src="{$baseURL}/skins/{$sb_skin}/images/arrow_right.gif" style="padding-top: 7px;"/></td>
			<td valign="top" class="SB_Style_short_help_Mozilla"><xsl:value-of select="."/></td>
		</xsl:when>
		<xsl:otherwise>
			<td width="5"><img border="0" src="{$baseURL}/skins/{$sb_skin}/images/arrow_right.gif" style="margin-left: 2px;margin-bottom:5 px;"/></td>
			<td class="SB_Style_short_help_IE" valign="middle"><xsl:value-of select="."/></td>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="TOP-MENU-LOGGED">
<xsl:if test="LOGIN/USERNAME">
<xsl:value-of select="LOGIN/USERNAME/@TITLE"/>: <xsl:value-of select="."/>
</xsl:if>
</xsl:template>

<xsl:template match="TOP-MENU-STEP[MODE='preview']">
	<table border="0" cellpadding="0" cellspacing="0" style="margin-left: 2px;" class="SB_Style_tablebuttonDisabled" >
		<xsl:if test="ENABLED='TRUE'">
			<xsl:attribute name="class">SB_Style_tablebutton</xsl:attribute>
			<xsl:attribute name="style">margin-left: 2px; cursor: pointer; cursor: hand;</xsl:attribute>
			<xsl:attribute name="onclick">navigation_new_win('preview', '<xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="/*/HEADER/TOP-MENU/TOP-MENU-STEP/PATH"/>', '<xsl:value-of select="/*/CONTENT-AREA/@PAGEID"/>');</xsl:attribute>
		</xsl:if>
		<tr>
			<td><img border="0" src="{$baseURL}/skins/{$sb_skin}/images/pws_left.gif"/></td>
			<td background="{$baseURL}/skins/{$sb_skin}/images/pws_bg.gif" class="SB_Style_pwsbuttontext"><xsl:value-of select="TITLE"/></td>
			<td><img border="0" src="{$baseURL}/skins/{$sb_skin}/images/pws_right.gif"/></td>
		</tr>
	</table>
</xsl:template>



<xsl:template name="TOPIC-TITLE">
<xsl:param name="TITLE"/>
<table border="0" cellpadding="0" cellspacing="0" width="100%">
<tr>
<td width="1">&#160;</td>
<td class="colored" nowrap="1" width="40">
<img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="2" height="1" border="0">
</img>
<img border="0" src="{$baseURL}/skins/{$sb_skin}/images/title_arr.gif"/>
</td>
<td class="colored" valign="middle">
<xsl:value-of select="$TITLE"/>
</td>
<td width="1">&#160;</td>
</tr>
</table>
</xsl:template>

<xsl:template match="FOOTER-BUTTON[@NAME='back']">
	<td align="right">
		<table border="0" cellpadding="0" cellspacing="0" class="SB_Style_tablebutton"  style="cursor: pointer; cursor: hand;" onclick="">
			<xsl:attribute name="onclick">navigation('<xsl:value-of select="@MODE"/>','<xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="@PATH"/>', '<xsl:value-of select="/*/CONTENT-AREA/@PAGEID"/>');</xsl:attribute>
			<tr>
				<td><img src="{$baseURL}/skins/{$sb_skin}/images/button_back_left.gif" border="0"/></td>
				<td align="center" nowrap="1" width="75" class="SB_Style_footer_button_text" background="{$baseURL}/skins/{$sb_skin}/images/button_back_middle.gif"><xsl:value-of select="."/></td>
				<td><img src="{$baseURL}/skins/{$sb_skin}/images/button_back_right.gif" border="0"/></td>
			</tr>
		</table>
	</td>
</xsl:template>

<xsl:template match="FOOTER-BUTTON[@NAME='next']">
	<td align="right">
		<table border="0" cellpadding="0" cellspacing="0" class="SB_Style_tablebutton"  style="cursor: pointer; cursor: hand;" onclick="">
			<xsl:if test='@DISABLED[.="TRUE"]'>
				<xsl:attribute name="class">SB_Style_footer_button_text_disabled</xsl:attribute>
			</xsl:if>
			<xsl:attribute name="onclick">navigation('<xsl:value-of select="@MODE"/>','<xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="@PATH"/>', '<xsl:value-of select="/*/CONTENT-AREA/@PAGEID"/>');</xsl:attribute>
			<tr>
				<td><img src="{$baseURL}/skins/{$sb_skin}/images/button_next_left.gif" border="0"/></td>
				<td align="center" nowrap="1" width="75" class="SB_Style_footer_button_text" background="{$baseURL}/skins/{$sb_skin}/images/button_back_middle.gif"><xsl:value-of select="."/></td>
				<td><img src="{$baseURL}/skins/{$sb_skin}/images/button_next_right.gif" border="0"/></td>
			</tr>
		</table>
	</td>
</xsl:template>

<xsl:template name="EMPTY-STATUS-MESSAGE">
	<td width="20" valign="middle">
		<img id="stat_img" src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" name="stat_img" border="0" width="23" height="23" style="margin-top: 10px;">
			<xsl:if test="$browser='MOZILLA'">
				<xsl:attribute name="style">margin-top:10px;</xsl:attribute>
			</xsl:if>
			
		</img>
		<xsl:if test="$browser!='MOZILLA'">
			<div id="stat_img_ok" class="SB_Style_status_hidden">
				<img border="0" width="23" height="23" valign="middle" src="{$baseURL}/skins/{$sb_skin}/images/icon_info.gif"/>
			</div>
			<div id="stat_img_stop" class="SB_Style_status_hidden">
				<img border="0" width="23" height="23" valign="middle" src="{$baseURL}/skins/{$sb_skin}/images/icon_stop.gif"/>
			</div>
		</xsl:if>
	</td>
	<td width="98%" nowrap="nowrap" valign="middle" style="padding-top: 10px; ">&#160;&#160;
		<span id="status_message" class="SB_Style_status"></span>
	</td> 
</xsl:template>

<xsl:template match="STATUS-MESSAGE">
	<td width="20" valign="middle">
		<img id="stat_img" name="stat_img" border="0" width="23" height="23" style="margin-top: 10px;">
			<xsl:if test="$browser='MOZILLA'">
				<xsl:attribute name="style">margin-top:10px;</xsl:attribute>
			</xsl:if>
			<xsl:attribute name="src"><xsl:value-of select="@ICON"/></xsl:attribute>
		</img>
		<xsl:if test="$browser!='MOZILLA'">
			<div id="stat_img_ok" class="SB_Style_status_hidden">
				<img border="0" width="23" height="23" valign="middle" src="{$baseURL}/skins/{$sb_skin}/images/icon_info.gif"/>
			</div>
			<div id="stat_img_stop" class="SB_Style_status_hidden">
				<img border="0" width="23" height="23" valign="middle" src="{$baseURL}/skins/{$sb_skin}/images/icon_stop.gif"/>
			</div>
		</xsl:if>
	</td>
	<td width="98%" nowrap="nowrap" valign="middle" style="padding-top: 10px; ">&#160;&#160;
		<span id="status_message" class="SB_Style_status">
			<xsl:value-of select="."/>
		</span>
	</td> 
</xsl:template>

<xsl:template match="SCRIPT-DATA">
	<script type="text/javascript" language="Javascript">
		<xsl:value-of select="."/>
	</script>
</xsl:template>

<xsl:template match="FOOTER" name="BOTTOM-AREA">
	<table border="0" width="100%" cellpadding="0" cellspacing="0" height="26">
		<tr valign="top">
			<td width="98%">
				<table width="100%" cellspacing="0" cellpadding="0" border="0" background="{$baseURL}/skins/{$sb_skin}/images/footer_bg.gif" >
					<tr>
						<td><img border="0" height="43" width="15" src="{$baseURL}/skins/{$sb_skin}/images/footer_left.gif"/></td>
						<xsl:choose>
						<xsl:when test="STATUS-MESSAGE">
						<xsl:apply-templates select="STATUS-MESSAGE"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="EMPTY-STATUS-MESSAGE"/>
						</xsl:otherwise>
						</xsl:choose>
						<xsl:if test="FOOTER-BUTTON">
							<td width="1" nowrap="nowrap">
							<img src="{$baseURL}/skins/{$sb_skin}/images/footer_right.gif" width="86" height="43" border="0" alt=""/>
						</td>
						</xsl:if>
					</tr>
				</table>
			</td>
			<xsl:if test="FOOTER-BUTTON">
			<td width="2%" height="43" valign="middle" background="{$baseURL}/skins/{$sb_skin}/images/footer_button_bg.gif">
				<table border="0" cellpadding="0" cellspacing="0" height="43" width="100%" valign="middle">
					<tr>
						<xsl:apply-templates select="FOOTER-BUTTON"/>
					</tr>
				</table>
			</td>
			</xsl:if>
			<xsl:apply-templates select="//SCRIPT-DATA"/>
		</tr>
		<tr height="22" valign="middle" align="middle">
<!--			<td colspan="2" class="SB_copyright"><xsl:call-template name="SWSOFT" /></td> -->
			<td colspan="2" class="SB_copyright"><xsl:apply-templates select="SWSOFT" /><xsl:apply-templates select="CUSTOM-BRANDING"/></td>

		</tr>
	</table>
</xsl:template>
<!--

-->
<xsl:template match="CUSTOM-BRANDING">
	<xsl:value-of select="."/>
</xsl:template>



<xsl:template match="SWSOFT">
	<table width="100%" height="100%" cellspacing="0" cellpadding="0" border="0">
		<tr>
			<td class="SB_copyright" width="50%">&#160;</td>
			<td align="center" valign="middle" class="SB_copyright" nowrap="true">
				<a href="javascript:void(1);dc(0);" onclick="javascript:window.open('http://www.swsoft.com','support','width=800,height=600,title=1,menubar=1,toolbar=1,location=1,status=1,scrollbars=1,resizable=1');" class="SB_copyright_link">
Powered by &#160;</a>
			</td>
			<td align="center" valign="middle" class="SB_copyright" nowrap="true">
				<a href="javascript:void(1);dc(0);" onclick="javascript:window.open('http://www.swsoft.com','support','width=800,height=600,title=1,menubar=1,toolbar=1,location=1,status=1,scrollbars=1,resizable=1');" >
					<img style="cursor:pointer; cursor: hand;" border="0" height="10" width="46" src="{$baseURL}/skins/{$sb_skin}/images/logo.gif" />
					<img style="cursor:pointer; cursor: hand;" border="0" valign="absmiddle" height="10" width="30" src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" />
				</a>
			</td>
			<td align="center" valign="middle" class="SB_copyright" nowrap="true">
				<a href="javascript:void(1);dc(0);" onclick="javascript:window.open('http://www.swsoft.com', 'support', 'width=800,height=600,title=1,menubar=1,toolbar=1,location=1,status=1,scrollbars=1,resizable=1');" class="SB_copyright_link">
&#169; Copyright 1999-2006 SWsoft, Inc. All Rights Reserved</a>
			</td>
			<td class="SB_copyright" width="50%">&#160;</td></tr></table>
</xsl:template>

<xsl:template match="FORM-TITLE">
<tr>
<td align="center" colspan="4" class="bigtitle">
<xsl:value-of select="."/>
</td>
</tr>
</xsl:template>
<!--


-->
<xsl:template match="FIELD">
<xsl:choose>
<xsl:when test="@TYPE[.='hidden']">
<xsl:call-template name="HIDDEN"/>
</xsl:when>
<xsl:otherwise>
<tr>
<td nowrap="nowrap" align="center" width="1%">
<xsl:choose>
<xsl:when test="@REQUIRED='1'">
<span class="SB_Style_AlertText">&#160;*&#160;</span>
</xsl:when>
<xsl:otherwise>
<span class="SB_Style_AlertText">&#160;</span>
</xsl:otherwise>
</xsl:choose>
</td>
<td align="right" class="data">
<xsl:if test="@TITLE">
<font class="SB_Style_000000">
<xsl:value-of select="@TITLE"/>&#160;</font>
</xsl:if>
</td>
<td align="left">
<xsl:choose>
<xsl:when test="@TYPE[.='list']">
<xsl:call-template name="COMBOBOX"/>
</xsl:when>
<xsl:when test="@TYPE[.='pswd']">
<xsl:call-template name="PSWDBOX"/>
</xsl:when>
<xsl:when test="@TYPE[.='area']">
<xsl:call-template name="TEXTAREA"/>
</xsl:when>
<xsl:when test="@TYPE[.='check']">
<xsl:call-template name="CHECKBOX"/>
</xsl:when>
<xsl:when test="@TYPE[.='supercheck']">
<xsl:call-template name="SUPERCHECKBOX"/>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="TEXTBOX"/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template match="FIELD" mode="pageset">
<tr valign="middle" class="SB_Style_formfieldcolor">
<td colspan="3" width="100%">
<table width="100%"><tr>
<td nowrap="nowrap" align="center" width="100%">
<xsl:choose>
<xsl:when test="@REQUIRED='1'">
<span class="SB_Style_AlertText">&#160;*&#160;</span>
</xsl:when>
<xsl:otherwise>
<span class="SB_Style_AlertText">&#160;</span>
</xsl:otherwise>
</xsl:choose>
</td>
<td align="left" nowrap="nowrap" class="SB_Style_formtitlePaddingLeft" > 
<xsl:if test="@TITLE">
<font >
<xsl:value-of select="@TITLE"/>&#160;</font>
</xsl:if>
</td>
<td class="SB_Style_formfield" align="left"  style="padding-right:10px;">
<xsl:choose>
<xsl:when test="@TYPE[.='list']">
<xsl:call-template name="COMBOBOX"/>
</xsl:when>
<xsl:when test="@TYPE[.='pswd']">
<xsl:call-template name="PSWDBOX"/>
</xsl:when>
<xsl:when test="@TYPE[.='area']">
<xsl:call-template name="TEXTAREA"/>
</xsl:when>
<xsl:when test="@TYPE[.='check']">
<xsl:call-template name="CHECKBOX"/>
</xsl:when>
<xsl:when test="@TYPE[.='supercheck']">
<xsl:call-template name="SUPERCHECKBOX"/>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="TEXTBOX"/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</table>
</td>
</tr>
</xsl:template>


<xsl:template match="FIELD" mode="selector">
<xsl:choose>
<xsl:when test="@TYPE[.='hidden']">
<!-- no op -->
</xsl:when>
<xsl:otherwise>
<xsl:if test="@TITLE">
<td width="1%" nowrap="nowrap" align="right" class="data">
<font class="SB_Style_000000">
<xsl:value-of select="@TITLE"/>&#160;&#160;</font>
</td>
</xsl:if>
<td width="1%" align="left">
<xsl:choose>
<xsl:when test="@TYPE[.='list']">
<xsl:call-template name="COMBOBOX"/>
</xsl:when>
<xsl:when test="@TYPE[.='pswd']">
<xsl:call-template name="PSWDBOX"/>
</xsl:when>
<xsl:when test="@TYPE[.='area']">
<xsl:call-template name="TEXTAREA"/>
</xsl:when>
<xsl:when test="@TYPE[.='check']">
<xsl:call-template name="CHECKBOX"/>
</xsl:when>
<xsl:when test="@TYPE[.='supercheck']">
<xsl:call-template name="SUPERCHECKBOX"/>
</xsl:when>
<xsl:when test="@TYPE[.='file']">
<xsl:call-template name="FILE"/>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="TEXTBOX"/>
</xsl:otherwise>
</xsl:choose>
</td>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
<!--


-->
<xsl:template match="FORM-FIELD" name="FILE" mode="file">
<input type="file" class="SB_Style_formfield_system">
<xsl:call-template name="setTabIndex"/>
<xsl:if test="@DISABLED and @DISABLED='true'">
<xsl:attribute name="disabled">disabled</xsl:attribute>
</xsl:if>
<xsl:if test="@MAXLENGTH">
<xsl:attribute name="maxlength"><xsl:value-of select="@MAXLENGTH"/></xsl:attribute>
</xsl:if>
<xsl:attribute name="name"><xsl:value-of select="@NAME"/></xsl:attribute>
<xsl:attribute name="ID"><xsl:value-of select="@ID"/></xsl:attribute>
<xsl:attribute name="SIZE"><xsl:value-of select="@SIZE"/></xsl:attribute>
<xsl:attribute name="STYLE"><xsl:value-of select="@STYLE"/></xsl:attribute>
<xsl:attribute name="value"><xsl:value-of select="@VALUE"/></xsl:attribute>
<xsl:attribute name="class"><xsl:value-of select="@CLASS"/></xsl:attribute>
<xsl:attribute name="onChange"><xsl:value-of select="@ONCHANGE"/></xsl:attribute>
<xsl:attribute name="onKeyup"><xsl:value-of select="@ONKEYUP"/></xsl:attribute>
</input>
</xsl:template>
<!--


-->
<xsl:template match="FORM-FIELD" name="TEXTBOX" mode="text">
<input type="text">
<xsl:call-template name="class.SB_Style_formfield">
<xsl:with-param name="node" select="."/>
</xsl:call-template>
<xsl:call-template name="setTabIndex"/>
<xsl:if test="@DISABLED and @DISABLED='true'">
<xsl:attribute name="disabled">disabled</xsl:attribute>
</xsl:if>
<xsl:if test="@MAXLENGTH">
<xsl:attribute name="maxlength"><xsl:value-of select="@MAXLENGTH"/></xsl:attribute>
</xsl:if>
<xsl:attribute name="name"><xsl:value-of select="@NAME"/></xsl:attribute>
<xsl:attribute name="id"><xsl:value-of select="@NAME"/></xsl:attribute>
<xsl:attribute name="SIZE"><xsl:value-of select="@SIZE"/></xsl:attribute>
<xsl:attribute name="STYLE"><xsl:value-of select="@STYLE"/></xsl:attribute>
<xsl:attribute name="value"><xsl:value-of select="@VALUE"/></xsl:attribute>
<xsl:attribute name="onChange"><xsl:value-of select="@ONCHANGE"/></xsl:attribute>
<xsl:attribute name="onKeyup"><xsl:value-of select="@ONKEYUP"/></xsl:attribute>
</input>
</xsl:template>
<!--


-->
<xsl:template match="FORM-FIELD" name="TEXTDATA" mode="text">
<span>
<xsl:attribute name="STYLE"><xsl:value-of select="@STYLE"/></xsl:attribute>
<xsl:attribute name="class"><xsl:value-of select="@CLASS"/></xsl:attribute>
<xsl:value-of select="@VALUE"/>
</span>
</xsl:template>
<!--


-->
<xsl:template match="FORM-FIELD" name="TEXTAREA" mode="area">
<textarea>
<xsl:call-template name="class.SB_Style_formfield">
<xsl:with-param name="node" select="."/>
</xsl:call-template>
<xsl:attribute name="name"><xsl:value-of select="@NAME"/></xsl:attribute>
<xsl:attribute name="STYLE"><xsl:value-of select="@STYLE"/></xsl:attribute>
<xsl:attribute name="value"><xsl:value-of select="@VALUE"/></xsl:attribute>
<xsl:attribute name="rows">3</xsl:attribute>
<xsl:attribute name="cols"><xsl:value-of select="@SIZE"/></xsl:attribute>
<xsl:attribute name="onKeyup"><xsl:value-of select="@ONKEYUP"/></xsl:attribute>
<xsl:value-of select="@VALUE"/>
</textarea>
</xsl:template>
<!--


-->
<xsl:template match="FORM-FIELD" name="PSWDBOX" mode="pswd">
<input type="password">
<xsl:call-template name="class.SB_Style_formfield">
<xsl:with-param name="node" select="."/>
</xsl:call-template>
<xsl:call-template name="setTabIndex"/>
<xsl:if test="@DISABLED and @DISABLED='true'">
<xsl:attribute name="disabled">disabled</xsl:attribute>
</xsl:if>
<xsl:if test="@MAXLENGTH">
<xsl:attribute name="maxlength"><xsl:value-of select="@MAXLENGTH"/></xsl:attribute>
</xsl:if>
<xsl:attribute name="name"><xsl:value-of select="@NAME"/></xsl:attribute>
<xsl:attribute name="SIZE"><xsl:value-of select="@SIZE"/></xsl:attribute>
<xsl:attribute name="STYLE"><xsl:value-of select="@STYLE"/></xsl:attribute>
<xsl:attribute name="value"><xsl:value-of select="@VALUE"/></xsl:attribute>
<xsl:attribute name="onKeyup"><xsl:value-of select="@ONKEYUP"/></xsl:attribute>
<xsl:attribute name="onChange"><xsl:value-of select="@ONCHANGE"/></xsl:attribute>
</input>
</xsl:template>
<!--


-->
<xsl:template match="FORM-FIELD" name="HIDDEN" mode="hidden">
<input type="hidden" id="{@ID}" name="{@NAME}" value="{@VALUE}"/>
</xsl:template>
<!--
////
-->
<xsl:template name="setTabIndex">
<xsl:param name="lastTabIndex" select="'0'"/>
<xsl:variable name="curIndex">
<xsl:number level="any" count="FORM-FIELD|FIELD|SEARCH-FIELD" format="1" from="PAGE-CONTENT"/>
</xsl:variable>
<xsl:attribute name="tabIndex"><xsl:value-of select="$lastTabIndex + $curIndex"/></xsl:attribute>
</xsl:template>
<!--


-->
<xsl:template match="FORM-FIELD" name="CHECKBOX" mode="check">
<input type="checkbox" class="SB_Style_checkbox">
<xsl:call-template name="setTabIndex"/>
<xsl:if test="@DISABLED and @DISABLED='true'">
<xsl:attribute name="disabled">disabled</xsl:attribute>
</xsl:if>
<xsl:attribute name="name"><xsl:value-of select="@NAME"/></xsl:attribute>
<xsl:attribute name="value"><xsl:value-of select="@VALUE"/></xsl:attribute>
<xsl:if test="@CHECKED='true'">
<xsl:attribute name="checked">checked</xsl:attribute>
</xsl:if>
<xsl:attribute name="style"><xsl:value-of select="@STYLE"/></xsl:attribute>
<xsl:attribute name="onKeyup"><xsl:value-of select="@ONKEYUP"/></xsl:attribute>
<xsl:attribute name="onClick"><xsl:value-of select="@ONCLICK"/></xsl:attribute>
</input>
</xsl:template>
<!--


-->
<xsl:template match="FORM-FIELD" name="SUPERCHECKBOX" mode="check">
<input type="hidden" value="0">
<xsl:if test="@CHECKED='true'">
<xsl:attribute name="value">1</xsl:attribute>
</xsl:if>
<xsl:attribute name="name"><xsl:value-of select="@NAME"/></xsl:attribute>
</input>
<input type="checkbox" class="SB_Style_checkbox">
<xsl:call-template name="setTabIndex"/>
<xsl:if test="@DISABLED and @DISABLED='true'">
<xsl:attribute name="disabled">disabled</xsl:attribute>
</xsl:if>
<xsl:attribute name="name">check_box_<xsl:value-of select="@NAME"/></xsl:attribute>
<xsl:attribute name="id"><xsl:value-of select="@NAME"/></xsl:attribute>
<xsl:attribute name="value"><xsl:value-of select="@VALUE"/></xsl:attribute>
<xsl:if test="@CHECKED='true'">
<xsl:attribute name="checked">checked</xsl:attribute>
</xsl:if>
<xsl:attribute name="style"><xsl:value-of select="@STYLE"/></xsl:attribute>
<xsl:attribute name="onKeyup"><xsl:value-of select="@ONKEYUP"/></xsl:attribute>
<!--<xsl:attribute name="onClick"><xsl:value-of select="@ONCLICK"/></xsl:attribute>-->
<xsl:attribute name="onClick">SetHiddenAsCheckBox("<xsl:value-of select="@NAME"/>");</xsl:attribute>
<xsl:if test="@ONCLICK">
<xsl:attribute name="onClick">SetHiddenAsCheckBox("<xsl:value-of select="@NAME"/>");<xsl:value-of select="@ONCLICK"/></xsl:attribute>
</xsl:if>
</input>
</xsl:template>
<!--


-->
<xsl:template match="FORM-FIELD" name="COMBOBOX" mode="list">
<xsl:param name="node" select="."/>
<xsl:param name="tabIndex" select="'1'"/>
<select size="1" name="{$node/@NAME}">
<xsl:call-template name="class.SB_Style_formfield">
<xsl:with-param name="node" select="."/>
</xsl:call-template>
<xsl:call-template name="setTabIndex"/>
<xsl:if test="$node/@ONCHANGE and not( $node/@ONCHANGE = '' )">
<xsl:attribute name="onchange"><xsl:value-of select="$node/@ONCHANGE"/></xsl:attribute>
</xsl:if>
<xsl:if test="$node/@DISABLED and $node/@DISABLED='true'">
<xsl:attribute name="disabled">disabled</xsl:attribute>
</xsl:if>
<xsl:if test="$node/@STYLE">
<xsl:attribute name="STYLE"><xsl:value-of select="$node/@STYLE"/></xsl:attribute>
</xsl:if>
<xsl:if test="$node/@WIDTH">
<xsl:attribute name="WIDTH"><xsl:value-of select="$node/@WIDTH"/></xsl:attribute>
</xsl:if>
<!-- option items -->
<xsl:apply-templates select="$node/ITEM" mode="FORM-FIELD.COMBOBOX.list"/>
</select>
</xsl:template>


<xsl:template match="ITEM" mode="FORM-FIELD.COMBOBOX.list">
	<option value="{@VALUE}">
		<xsl:if test="@SELECTED='1'">
			<xsl:attribute name="selected">selected</xsl:attribute>
		</xsl:if>
		<xsl:value-of select="."/>
	</option>
</xsl:template>

<xsl:template match="/*/DEBUG">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="/*/STATISTIC">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="/*/CONTENT-AREA">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="FREE-CONTENT">
	<xsl:value-of disable-output-escaping="yes" select="*|@*|comment()|text()"/>
</xsl:template>



<xsl:template match="TOPICS">
	<table border="0" cellpadding="0" cellspacing="0" width="90%">
		<xsl:for-each select="CONTENT-TOPIC">
			<tr>
				<td class="content-topic">
					<a class="content-topic">
						<xsl:attribute name="href"><xsl:value-of select="@ACTION"/></xsl:attribute>
						<xsl:value-of select="@TITLE"/>
					</a>
				</td>
			</tr>
		</xsl:for-each>
	</table>
</xsl:template>

<xsl:template match="CONTENT-TOPIC">
</xsl:template>


<xsl:template match="/*/INFO-PANEL">
	<img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="5" border="0"/>
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="HELP-TOPIC">
	<xsl:call-template name="TOPIC-TITLE">
		<xsl:with-param name="TITLE">
		<xsl:apply-templates select="TITLE"/>
		</xsl:with-param>
	</xsl:call-template>
	<p class="content"><xsl:value-of select="MESSAGE"/></p>
</xsl:template>

<xsl:template match="PAGE-STRIP">
	<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td width="1%" nowrap="nowrap" valign="middle" class="SB_Style_formtitle" style="padding-left:5px; padding-right:10px;">
			<xsl:value-of select="BRS"/>
			</td>
			<td width="1%" nowrap="nowrap">
			<img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="5" border="0"/>
			</td>
			<td width="1%" nowrap="nowrap">
			<xsl:apply-templates select="FIRST-PAGE" mode="page-strip"/>
			</td>
			<td width="1%" nowrap="nowrap">
			<img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="5" border="0"/>
			</td>
			<td width="93%" nowrap="nowrap" height="22px" valign="middle" class="SB_Style_formtitle" align="center">
				<xsl:apply-templates select="PREV-PAGE-SET" mode="page-strip"/>
				<!-- <xsl:apply-templates select="PREV-PAGE" mode="page-strip"/> -->
				<xsl:apply-templates select="PAGE" mode="page-strip"/>
				<!-- <xsl:apply-templates select="NEXT-PAGE" mode="page-strip"/> -->
				<xsl:apply-templates select="NEXT-PAGE-SET" mode="page-strip"/>
			</td>
			<td width="1%" nowrap="nowrap">
				<img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="5" border="0"/>
			</td>
			<td width="1%" nowrap="nowrap">
				<xsl:apply-templates select="LAST-PAGE" mode="page-strip"/>
			</td>
			<td width="1%" nowrap="nowrap">
				<img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="5" border="0"/>
			</td>
		</tr>
	</table>
</xsl:template>

<xsl:template match="PREV-PAGE-SET" mode="page-strip">
	<xsl:if test="@URL">
		<a href="{@URL}" class="SB_Style_browse_page">&lt;&lt;</a>&#160;
	</xsl:if>
</xsl:template>

<xsl:template match="PREV-PAGE" mode="page-strip">
	<xsl:if test="@URL">
		<a href="{@URL}" class="SB_Style_browse_page">&lt;</a>&#160;
	</xsl:if>
</xsl:template>


<xsl:template match="NEXT-PAGE-SET" mode="page-strip">
	<xsl:if test="@URL">
		<a href="{@URL}" class="SB_Style_browse_page">&gt;&gt;</a>&#160;
	</xsl:if>
</xsl:template>
<!--
/////
-->
<xsl:template match="NEXT-PAGE" mode="page-strip">
<xsl:choose>
<xsl:when test="@URL">
<a href="{@URL}" class="SB_Style_browse_page">&gt;</a>&#160;</xsl:when>
<!-- <xsl:otherwise><span class="SB_Style_DisabledText">&gt;&gt;</span></xsl:otherwise> -->
<xsl:otherwise/>
</xsl:choose>
</xsl:template>
<!--
/////
-->
<xsl:template match="FIRST-PAGE|LAST-PAGE" mode="page-strip">
<xsl:choose>

<xsl:when test="@ONCLICK">
&#160;<a href="#" onclick="{@ONCLICK}"  class="SB_Style_browse_page">
<xsl:value-of select="@CAPTION"/>
</a>&#160;
</xsl:when>

<xsl:when test="@URL">&#160;<a href="{@URL}" class="SB_Style_browse_page">
<xsl:value-of select="@CAPTION"/>
</a>&#160;</xsl:when>
<!-- <xsl:otherwise><td valign="middle">&#160;<span class="SB_Style_DisabledText"><xsl:value-of select="@CAPTION"/></span>&#160;</td></xsl:otherwise> -->
<xsl:otherwise/>
</xsl:choose>
</xsl:template>
<!--
/////
-->
<xsl:template match="PAGE" mode="page-strip">
<xsl:choose>
<xsl:when test="@CURRENT='true'">
<b>
<span class="SB_Style_AlertText">
<xsl:value-of select="."/>
</span>
</b>
</xsl:when>


<xsl:when test="@ONCLICK">
<a href="#" onclick="{@ONCLICK}" class="SB_Style_browse_page">
<xsl:value-of select="."/>
</a>
</xsl:when>


<xsl:otherwise>
<a href="{@URL}" class="SB_Style_browse_page">
<xsl:value-of select="."/>
</a>
</xsl:otherwise>
</xsl:choose>&#160;
</xsl:template>
<!--


-->
<xsl:template name="IMAGE-MENU-ITEM">
<td width="1">
<a class="content-menu">
<xsl:if test="not(@ENABLED) or @ENABLED='true'">
<xsl:attribute name="href"><xsl:value-of select="@ACTION"/></xsl:attribute>
<xsl:if test="@ONCLICK">
<xsl:attribute name="onclick"><xsl:value-of select="@ONCLICK"/></xsl:attribute>
</xsl:if>
</xsl:if>
<img border="0">
<xsl:attribute name="src"><xsl:value-of select="$baseURL"/><xsl:value-of select="@IMAGE"/></xsl:attribute>
</img>
</a>
</td>
<td class="content-menu" nowrap="1">
<a class="content-menu">
<xsl:if test="not(@ENABLED) or @ENABLED='true'">
<xsl:attribute name="href"><xsl:value-of select="@ACTION"/></xsl:attribute>
<xsl:if test="@ONCLICK">
<xsl:attribute name="onclick"><xsl:value-of select="@ONCLICK"/></xsl:attribute>
</xsl:if>
</xsl:if>
<xsl:value-of select="."/>
</a>
</td>
</xsl:template>

<xsl:template match="MESSAGE">
	<table border="0" cellpadding="5" cellspacing="0" width="100%">
		<tr>
			<td width="99%">
				<p>
					<span class="{@TYPE}MessageTitle">
						<xsl:value-of select="@TITLE"/>&#160;</span>
						<xsl:value-of select="."/>
				</p>
			</td>
		</tr>
	</table>
</xsl:template>

<xsl:template name="drawButton">
	<xsl:param name="name" select="''"/>
	<xsl:param name="onClick">#</xsl:param>
	<xsl:param name="caption">UNKNOWN</xsl:param>
	<xsl:if test="$name != ''">
		<input type="hidden" value="1">
			<xsl:attribute name="name"><xsl:value-of select="$name"/></xsl:attribute>
		</input>
	</xsl:if>
	<!-- <xsl:choose>
		<xsl:when test="$browser='MOZILLA'"> -->
		<table cellspacing="0" cellpadding="0" border="0" style="cursor: pointer; cursor: hand;" class="SB_Style_button_all">
			<xsl:attribute name="ONCLICK">
				<xsl:value-of select="$onClick"/>
			</xsl:attribute>
			<tr>
				<td>
					<img border="0" src="{$baseURL}/skins/{$sb_skin}/images/button_left.gif"/>
				</td>
				<td width="20px" background="{$baseURL}/skins/{$sb_skin}/images/button_middle.gif">&#160;</td>
				<td nowrap="on" background="{$baseURL}/skins/{$sb_skin}/images/button_middle.gif" style="SB_Style_design_text">&#160;<xsl:value-of select="$caption"/>&#160;</td>
				<td width="20px" background="{$baseURL}/skins/{$sb_skin}/images/button_middle.gif">&#160;</td>
				<td>
					<img border="0" src="{$baseURL}/skins/{$sb_skin}/images/button_right.gif"/>
				</td>
			</tr>
		</table>
<!--		</xsl:when> 
		<xsl:when test="$browser='OPERA'">
			<a style="text-decoration: none">
			<xsl:attribute name="href">javascript:<xsl:value-of select="$onClick"/></xsl:attribute>
			<table border="0" cellpadding="0" cellspacing="0" class="SB_Style_tablebutton">
			<tr>
			<td>
			<img src="{$baseURL}/skins/{$sb_skin}/images/button_left.gif" border="0"/>
			</td>
			<td nowrap="nowrap" class="SB_Style_design_text" align="middle" background="{$baseURL}/skins/{$sb_skin}/images/button_middle.gif">&#160;&#160;<xsl:value-of select="$caption"/>&#160;&#160;</td>
			<td>
			<img src="{$baseURL}/skins/{$sb_skin}/images/button_right.gif" border="0"/>
			</td>
			</tr>
			</table>
			</a>
		</xsl:when>
		<xsl:otherwise>
			<table border="0" cellpadding="0" cellspacing="0" class="SB_Style_tablebutton">
			<xsl:attribute name="onclick"><xsl:value-of select="$onClick"/></xsl:attribute>
			<tr>
			<td>
			<img src="{$baseURL}/skins/{$sb_skin}/images/button_left.gif" border="0"/>
			</td>
			<td nowrap="nowrap" class="SB_Style_design_text" align="middle" background="{$baseURL}/skins/{$sb_skin}/images/button_middle.gif">&#160;&#160;<xsl:value-of select="$caption"/>&#160;&#160;</td>
			<td>
			<img src="{$baseURL}/skins/{$sb_skin}/images/button_right.gif" border="0"/>
			</td>
			</tr>
			</table>
		</xsl:otherwise>
	</xsl:choose> -->
</xsl:template>

<xsl:template match="NON-SUPPORT">
	<table border="0" cellpadding="5" cellspacing="0" width="100%">
		<tr>
			<td width="99%">
				<span class="SB_Style_{@TYPE}MessageTitle"><xsl:value-of select="."/></span>
			</td>
		</tr>
	</table>
</xsl:template>
<!--
///
-->
<xsl:template match="ENTITYLIST">
<form name="{@NAME}" method="post" action="{$baseURL}{$baseURL_SUFFIX}{@ACTION}" onSubmit="return false;">
<script type="text/javascript" language="javascript">
<xsl:comment>
<xsl:text>
</xsl:text>
<xsl:apply-templates select="LOCALE" mode="entitylist"/>
<xsl:text>
</xsl:text>//</xsl:comment>
<xsl:text>
</xsl:text>
</script>
<xsl:if test="WARNING">
<table align="center" class="SB_Style_WARNING_BOX" cellpadding="0" cellspacing="0" width="100%">
<tr>
<td width="25%">&#160;</td>
<td width="45%" align="center">
<table align="center" border="0" cellpadding="7" cellspacing="0" width="100%">
<tr>
<td align="left" width="1%">
<img src="{$baseURL}/skins/{$sb_skin}/images/icon_stop.gif"/>
</td>
<td align="left" width="99%">
<xsl:apply-templates select="WARNING" mode="form"/>
</td>
</tr>
</table>
</td>
<td width="30%">&#160;</td>
</tr>
</table>
</xsl:if>
<table class="SB_ENTITYLIST" width="100%" border="0" cellspacing="0" cellpadding="0">
<xsl:if test="WARNING">
<tr>
<td>
<img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="1" height="10" border="0"/>
</td>
</tr>
</xsl:if>
<xsl:apply-templates select="TOP-PANEL" mode="entitylist"/>
<tr>
<td>
<img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="1" height="10" border="0"/>
</td>
</tr>
<tr>
<td align="left">
<table width="100%" cellspacing="0" cellpadding="1" border="0">
<xsl:apply-templates select="ENTITY-MSG"/>
<xsl:apply-templates select="HEAD"/>
<xsl:apply-templates select="ENTITY"/>
</table>
</td>
</tr>
<tr>
<td>
<img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="1" height="10px" border="0"/>
</td>
</tr>
</table>
<xsl:choose>
<xsl:when test="REMARK">
<table class="SB_Style_REMARK_TABLE" width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
<td colspan="3">
<img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="1" height="5" border="0"/>
</td>
</tr>
<tr>
<td width="1%" nowrap="nowrap" class="SB_Style_REMARK">
<xsl:value-of select="REMARK"/>
</td>
<td width="98%">&#160;</td>
<td width="1%">
<xsl:choose><xsl:when test="count(BOTTOM-PANEL/BUTTON) &gt; 4">
<xsl:apply-templates select="BOTTOM-PANEL/PAGE-STRIP"/>
</xsl:when>
<xsl:otherwise>
&#160;
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
<tr>
<td colspan="3">
<img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="1" height="10" border="0"/>
</td>
</tr>
</table>
</xsl:when>
<xsl:otherwise>
<xsl:choose>
<xsl:when test="count(BOTTOM-PANEL/BUTTON) &gt; 4">
<table class="SB_Style_REMARK_TABLE" width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
<td colspan="3">
<img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="1" height="5" border="0"/>
</td>
</tr>
<tr>
<td width="1%" nowrap="nowrap">&#160;</td>
<td width="98%">&#160;</td>
<td width="1%">
<xsl:apply-templates select="BOTTOM-PANEL/PAGE-STRIP"/>
</td>
</tr>
<tr>
<td colspan="3">
<img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="1" height="10" border="0"/>
</td>
</tr>
</table>
</xsl:when>
<xsl:otherwise>
<table class="SB_Style_REMARK_TABLE" width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
<td>
<img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="1" height="10" border="0"/>
</td>
</tr>
</table>
</xsl:otherwise>
</xsl:choose>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates select="BOTTOM-PANEL" mode="entitylist"/>
<xsl:apply-templates select="HIDDEN"/>
</form>
</xsl:template>
<!--
////
-->
<xsl:template match="TOP-PANEL" mode="entitylist">
<tr>
<td>
<table class="SB_Style_formcell" width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
<xsl:choose>
<xsl:when test="SEARCH-FIELD">
<td width="1%" nowrap="nowrap" class="SB_Style_formtitle">
<xsl:value-of select="SEARCH-FIELD/@CAPTION"/>
<img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="10" height="1" border="0"/>
</td>
<td width="1%" class="SB_Style_formfield">
<input type="text" name="{SEARCH-FIELD/@NAME}" value="{SEARCH-FIELD/@VALUE}">
<xsl:call-template name="class.SB_Style_formfield">
<xsl:with-param name="node" select="SEARCH-FIELD"/>
</xsl:call-template>
<xsl:call-template name="setTabIndex"/>
</input>
</td>
<td width="1%">
<xsl:apply-templates select="SEARCH-BUTTON" mode="entitylist"/>
</td>
</xsl:when>
<xsl:when test="SELECTOR">
<td width="1%" nowrap="nowrap" align="right" class="SB_Style_formtitle">
<xsl:value-of select="SELECTOR/FIELD/@TITLE"/>&#160;</td>
<td width="1%" align="left" class="SB_Style_formfield">
<xsl:call-template name="COMBOBOX">
<xsl:with-param name="node" select="SELECTOR/FIELD"/>
</xsl:call-template>
</td>
<td width="1%">&#160;</td>
</xsl:when>
<xsl:when test="TEXT">
<td width="1%" nowrap="nowrap" STYLE="padding-left:10px;" class="SB_Style_formtitle">
<xsl:value-of select="TEXT/FIELD/@TITLE"/>&#160;</td>
<td width="1%" align="left" class="SB_Style_formfield">
</td>
<td width="1%">&#160;</td>
</xsl:when>
<xsl:otherwise>
<td width="1%">&#160;</td>
<td width="1%">&#160;</td>
<td width="1%">&#160;</td>
</xsl:otherwise>
</xsl:choose>
<td width="{96 - count(BUTTON)}%">&#160;</td>
<td width="1%">
<img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="10" height="1" border="0"/>
</td>
<xsl:apply-templates select="BUTTON" mode="entitylist"/>
</tr>
</table>
</td>
</tr>
</xsl:template>
<!--
/////
-->
<xsl:template name="BOTTOM-PANEL" >
<xsl:variable name="but" select="count(BUTTON) div 2"/>
<xsl:if test="count(*)">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<xsl:for-each select="BUTTON">
<xsl:if test="position()&lt; $but+1">
<xsl:apply-templates select="." mode="entitylist-right"/>
</xsl:if>
</xsl:for-each>
<td width="{99 - $but}%">&#160;</td>
<td align="right" width="1%">
<xsl:apply-templates select="PAGE-STRIP"/>
</td>
</tr>
<tr><td style="padding-top: 10px;" colspan="{$but+2}"></td></tr>
<tr>
<xsl:for-each select="BUTTON">
<xsl:if test="position()&gt; $but">
<xsl:apply-templates select="." mode="entitylist-right"/>
</xsl:if>
</xsl:for-each>
<td width="{99 - $but}%" colspan="2">&#160;</td>
</tr>
</table>
</xsl:if>
</xsl:template>

<xsl:template match="BOTTOM-PANEL" mode="entitylist">
<xsl:if test="count(*)">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<xsl:apply-templates select="BUTTON" mode="entitylist-right"/>
<td width="{99 - count(BUTTON)}%">&#160;</td>
<td align="right" width="1%">
<xsl:if test="count(BUTTON) &lt; 5">

<xsl:apply-templates select="PAGE-STRIP"/>
<xsl:apply-templates select="PAGELENTA"/>

</xsl:if>
</td>
</tr>
</table>
</xsl:if>
<!--</xsl:otherwise>
</xsl:choose>-->
</xsl:template>
<!--
/////
-->
<xsl:template match="ENTITY">
<tr>
<xsl:choose>
<xsl:when test="@CLASS">
<xsl:choose>
<xsl:when test="position() mod 2">
<xsl:attribute name="class"><xsl:value-of select="@CLASS"/>_even</xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="class"><xsl:value-of select="@CLASS"/>_odd</xsl:attribute>
</xsl:otherwise>
</xsl:choose>
</xsl:when>
<xsl:otherwise>
<xsl:variable name="classSuffix">
<xsl:choose>
<xsl:when test="@ENABLED='true'"/>
<xsl:otherwise>_notLicensed</xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:choose>
<xsl:when test="position() mod 2">
<xsl:attribute name="class">SB_Style_formfieldnocolor<xsl:value-of select="$classSuffix"/></xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="class">SB_Style_formfieldcolor<xsl:value-of select="$classSuffix"/></xsl:attribute>
</xsl:otherwise>
</xsl:choose>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates select="ENTITY-ITEM"/>
</tr>
</xsl:template>
<!--
//////
-->
<xsl:template match="ENTITY-ITEM">
<td>
<xsl:choose>
<xsl:when test="@ALIGN">
<xsl:attribute name="align"><xsl:value-of select="@ALIGN"/></xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="align">left</xsl:attribute>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="@STYLE">
<xsl:attribute name="style"><xsl:value-of select="@STYLE"/></xsl:attribute>
</xsl:when>
<xsl:otherwise>
<!-- no op -->
</xsl:otherwise>
</xsl:choose>
<xsl:if test="@CAPTION">
<xsl:choose>
<xsl:when test="ACTION">
<a>
<xsl:choose>
<xsl:when test="parent::node()[@ENABLED='true']">
<xsl:attribute name="class">SB_Style_formtitle</xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="class">SB_Style_formtitle_notLicensed</xsl:attribute>
</xsl:otherwise>
</xsl:choose>
<xsl:attribute name="href"><xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="ACTION"/></xsl:attribute>
<xsl:value-of select="@CAPTION"/>
</a>
</xsl:when>
<xsl:when test="ONCLICK">
<a>
<xsl:attribute name="class">SB_Style_formtitle</xsl:attribute>
<xsl:attribute name="onclick"><xsl:value-of select="ONCLICK"/></xsl:attribute>
<xsl:choose>
<xsl:when test="@RELOAD">
<xsl:attribute name="href">#</xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="href">#</xsl:attribute>
</xsl:otherwise>
</xsl:choose>
<xsl:value-of select="@CAPTION"/>
</a>
</xsl:when>
<xsl:when test="PREVIEW">
<a href="#">
<xsl:attribute name="class">SB_Style_formtitle</xsl:attribute>
<xsl:attribute name="onclick"><xsl:value-of select="PREVIEW"/></xsl:attribute>
<xsl:attribute name="title"><xsl:value-of select="@CAPTION"/></xsl:attribute>
<img border="0">
<xsl:attribute name="src"><xsl:value-of select="$baseURL"/>/images/<xsl:value-of select="@IMGSRC"/></xsl:attribute>
</img>
</a>
</xsl:when>
<xsl:when test="PUBLISH">
<a href="#">
<xsl:attribute name="class">SB_Style_formtitle</xsl:attribute>
<xsl:attribute name="onclick"><xsl:value-of select="PUBLISH"/></xsl:attribute>
<xsl:attribute name="title"><xsl:value-of select="@CAPTION"/></xsl:attribute>
<img border="0">
<xsl:attribute name="src"><xsl:value-of select="$baseURL"/>/images/<xsl:value-of select="@IMGSRC"/></xsl:attribute>
</img>
</a>
</xsl:when>
<xsl:otherwise>
<span>
<xsl:choose>
<xsl:when test="parent::node()[@ENABLED='true']">
<xsl:attribute name="class">SB_Style_formtitle</xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="class">SB_Style_formtitle_notLicensed</xsl:attribute>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="@ESCAPING">
<xsl:value-of select="@CAPTION" disable-output-escaping="yes"/>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="@CAPTION"/>
</xsl:otherwise>
</xsl:choose>
</span>
</xsl:otherwise>
</xsl:choose>
</xsl:if>
<xsl:apply-templates mode="entity-item"/>
</td>
</xsl:template>
<!--
//////
-->
<xsl:template match="ICON" mode="entity-item">
<xsl:choose>
<xsl:when test="PREVIEW-ACTION">
<a title="{@TOOLTIP}" href="#" onclick="{PREVIEW-ACTION}">
<img height="45" border="0" vspace="1" hspace="1">
<xsl:attribute name="src"><xsl:value-of select="@SRC"/></xsl:attribute>
</img>
</a>
</xsl:when>
<xsl:otherwise>
<img height="45" border="0" vspace="1" hspace="1">
<xsl:attribute name="src"><xsl:value-of select="@SRC"/></xsl:attribute>
</img>
</xsl:otherwise>
</xsl:choose>&#160;&#160;
</xsl:template>
<!--
//////
-->
<xsl:template match="ENTITY-MSG">
<tr valign="middle">
<td colspan="{count( ../HEAD/HEAD-ITEM )}" style="{@STYLE}">
<xsl:choose>
<xsl:when test="@ALIGN">
<xsl:attribute name="align"><xsl:value-of select="@ALIGN"/></xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="align">left</xsl:attribute>
</xsl:otherwise>
</xsl:choose>
<xsl:value-of select="@TEXT"/>
</td>
</tr>
</xsl:template>
<!--
/////
-->
<xsl:template match="HEAD">
<xsl:if test="count(HEAD-ITEM) > 0">
<tr>
<xsl:apply-templates select="HEAD-ITEM"/>
</tr>
</xsl:if>
</xsl:template>
<!--
/////
-->
<xsl:template match="HEAD-ITEM">
<td width="{@WIDTH}%" class="SB_Style_formfieldcolorfirst" nowrap="nowrap">
<xsl:choose>
<xsl:when test="@ALIGN">
<xsl:attribute name="align"><xsl:value-of select="@ALIGN"/></xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="align">left</xsl:attribute>
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="@STYLE">
<xsl:attribute name="style"><xsl:value-of select="@STYLE"/></xsl:attribute>
</xsl:when>
<xsl:otherwise>
<!-- no op -->
</xsl:otherwise>
</xsl:choose>
<xsl:if test="@CAPTION">
<xsl:choose>
<xsl:when test="ACTION">
<a class="SB_Style_formtitle" title="{@SORTED-TEXT}">
<xsl:attribute name="href"><xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="ACTION"/></xsl:attribute>
<b>
<xsl:value-of select="@CAPTION"/>
</b>
<xsl:call-template name="head-item.sort.icon"/>
</a>
</xsl:when>
<xsl:when test="ONCLICK">
<a class="SB_Style_formtitle" title="{@SORTED-TEXT}" href="#">
<xsl:attribute name="onclick"><xsl:value-of select="ONCLICK"/></xsl:attribute>
<b>
<xsl:value-of select="@CAPTION"/>
</b>
<xsl:call-template name="head-item.sort.icon"/>
</a>
</xsl:when>
<xsl:otherwise>
<b>
<xsl:value-of select="@CAPTION"/>
</b>
</xsl:otherwise>
</xsl:choose>
</xsl:if>
<xsl:apply-templates mode="head-item"/>
</td>
</xsl:template>
<!--
/////
-->
<xsl:template name="head-item.sort.icon">
<xsl:if test="@SORTBY='true'">
<img align="texttop" vspace="3" hspace="5" width="8" height="8" border="0" alt="{@SORTED-TEXT}" title="{@SORTED-TEXT}">
<xsl:choose>
<xsl:when test="@DIR='asc'">
<xsl:attribute name="src"><xsl:value-of select="$baseURL"/>/skins/<xsl:value-of select="$sb_skin"/>/images/dlg_sort_up.gif</xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="src"><xsl:value-of select="$baseURL"/>/skins/<xsl:value-of select="$sb_skin"/>/images/dlg_sort_down.gif</xsl:attribute>
</xsl:otherwise>
</xsl:choose>
</img>
</xsl:if>
</xsl:template>
<!--
/////
-->
<xsl:template match="*" mode="head-item">
<!-- no op -->
</xsl:template>
<xsl:template match="*" mode="entity-item">
<!-- no op -->
</xsl:template>
<!--
/////
-->
<xsl:template match="CHECK" mode="head-item">
<input type="checkbox" class="SB_Style_checkbox" name="{@NAME}" value="{@VALUE}">
<xsl:call-template name="setTabIndex"/>
<xsl:if test="@DISABLED='TRUE'">
<xsl:attribute name="disabled">disabled</xsl:attribute>
</xsl:if>
<xsl:if test="@CHECKED='TRUE'">
<xsl:attribute name="checked">checked</xsl:attribute>
</xsl:if>
<xsl:if test="@ONCLICK">
<xsl:attribute name="onClick"><xsl:value-of select="@ONCLICK"/></xsl:attribute>
</xsl:if>
</input>
</xsl:template>
<!--
/////
-->
<xsl:template match="CHECK" mode="entity-item">
<input type="checkbox" class="SB_Style_checkbox" name="{@NAME}" value="{@VALUE}">
<xsl:call-template name="setTabIndex"/>
<xsl:if test="@DISABLED='TRUE'">
<xsl:attribute name="disabled">disabled</xsl:attribute>
</xsl:if>
<xsl:if test="@CHECKED='TRUE'">
<xsl:attribute name="checked">checked</xsl:attribute>
</xsl:if>
<xsl:if test="@ONCLICK">
<xsl:attribute name="onClick"><xsl:value-of select="@ONCLICK"/></xsl:attribute>
</xsl:if>
</input>
</xsl:template>


<xsl:template match="SUPERCHECK" mode="entity-item">
<input type="hidden" value="0">
<xsl:if test="@CHECKED='true'">
<xsl:attribute name="value">1</xsl:attribute>
</xsl:if>
<xsl:attribute name="name"><xsl:value-of select="@NAME"/></xsl:attribute>
</input>
<input type="checkbox" class="SB_Style_checkbox">
<xsl:call-template name="setTabIndex"/>
<xsl:if test="@DISABLED and @DISABLED='true'">
<xsl:attribute name="disabled">disabled</xsl:attribute>
</xsl:if>
<xsl:attribute name="name">check_box_<xsl:value-of select="@NAME"/></xsl:attribute>
<xsl:attribute name="id"><xsl:value-of select="@NAME"/></xsl:attribute>
<xsl:attribute name="value"><xsl:value-of select="@VALUE"/></xsl:attribute>
<xsl:if test="@CHECKED='true'">
<xsl:attribute name="checked">checked</xsl:attribute>
</xsl:if>
<xsl:attribute name="style"><xsl:value-of select="@STYLE"/></xsl:attribute>
<xsl:attribute name="onKeyup"><xsl:value-of select="@ONKEYUP"/></xsl:attribute>
<!--<xsl:attribute name="onClick"><xsl:value-of select="@ONCLICK"/></xsl:attribute>-->
<xsl:attribute name="onClick">SetHiddenAsCheckBox("<xsl:value-of select="@NAME"/>");</xsl:attribute>
<xsl:if test="@ONCLICK">
<xsl:attribute name="onClick">SetHiddenAsCheckBox("<xsl:value-of select="@NAME"/>");<xsl:value-of select="@ONCLICK"/></xsl:attribute>
</xsl:if>
</input>
</xsl:template>

<!--
//////
-->
<xsl:template match="INDICATOR" mode="entity-item">
<xsl:if test="@CAPTION and string-length(@CAPTION) > 0">
<label title="{@CAPTION}">
<xsl:value-of select="@CAPTION"/>:</label>
</xsl:if>
<div title="{@TITLE}">
<div title="{@TITLE}" style="background-image: url({$baseURL}/images/icons/{@BG});" class="{@STYLE}">
<xsl:if test="not(@DETAIL) or string-length(@DETAIL) = 0">&#160;</xsl:if>
<xsl:value-of select="@DETAIL"/>
</div>
</div>
</xsl:template>
<!--
/////
-->
<xsl:template match="BUTTON">
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">
<xsl:value-of select="@ONCLICK"/>
</xsl:with-param>
<xsl:with-param name="caption">
<xsl:value-of select="@CAPTION"/>
</xsl:with-param>
</xsl:call-template>
</xsl:template>
<!--
/////
-->
<xsl:template match="BUTTON|SEARCH-BUTTON" mode="entitylist">
<td nowrap="nowrap" class="SB_Style_EntitylistButton">
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">
<xsl:value-of select="@ONCLICK"/>
</xsl:with-param>
<xsl:with-param name="caption">
<xsl:value-of select="@CAPTION"/>
</xsl:with-param>
</xsl:call-template>
</td>
</xsl:template>
<!--
/////
-->
<xsl:template match="BUTTON|SEARCH-BUTTON" mode="entitylist-right">
<td nowrap="nowrap" class="SB_Style_EntitylistRightButton">
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">
<xsl:value-of select="@ONCLICK"/>
</xsl:with-param>
<xsl:with-param name="caption">
<xsl:value-of select="@CAPTION"/>
</xsl:with-param>
</xsl:call-template>
</td>
</xsl:template>
<!--
/////
-->
<xsl:template match="BUTTON" mode="form">
<td nowrap="nowrap" class="SB_Style_FormButton">
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">
<xsl:value-of select="@ONCLICK"/>
</xsl:with-param>
<xsl:with-param name="caption">
<xsl:value-of select="@CAPTION"/>
</xsl:with-param>
</xsl:call-template>
</td>
</xsl:template>
<!--
/////
-->
<xsl:template match="BUTTON" mode="form-align-right">
<td nowrap="nowrap" class="SB_Style_FormButton" align="right">
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">
<xsl:value-of select="@ONCLICK"/>
</xsl:with-param>
<xsl:with-param name="caption">
<xsl:value-of select="@CAPTION"/>
</xsl:with-param>
</xsl:call-template>
</td>
</xsl:template>
<xsl:template match="FORM-BUTTON">
<td nowrap="nowrap" class="SB_Style_FormButton_left">
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">
<xsl:value-of select="@ONCLICK"/>
</xsl:with-param>
<xsl:with-param name="caption">
<xsl:value-of select="@CAPTION"/>
</xsl:with-param>
</xsl:call-template>
</td>
</xsl:template>
<!--
/////
-->

<xsl:template match="HIDDEN">
<input type="hidden" id="{@ID}" name="{@NAME}" value="{@VALUE}"/>
</xsl:template>
<!--
/////
-->
<xsl:template match="WARNING" mode="form">
<xsl:value-of select="."/>
<xsl:if test="position() != last()">
<br/>
</xsl:if>
</xsl:template>
<!--
/////
-->
<xsl:template match="MESSAGE" mode="CRITICAL-ERROR">
<xsl:value-of select="."/>
<xsl:if test="position() != last()">
<br/>
</xsl:if>
</xsl:template>
<!--
/////
-->
<xsl:template match="CRITICAL-ERROR">
<table align="center" cellpadding="10" cellspacing="10" width="100%">
<tr>
<td>
<table width="70%" align="center" cellspacing="10" cellpadding="10" border="0">
<tr>
<td align="center">
<table border="0" cellspacing="10" cellpadding="0" class="SB_Style_WARNING_BOX">
<tr>
<td width="70px" align="center" valign="top">
<img border="0" src="{$baseURL}/skins/{$sb_skin}/images/demo_publish.gif"/>
</td>
<td width="282px" valign="top">
<table width="282px" cellspacing="0" cellpadding="0" border="0">
<tr>
<td height="44px" width="16px" class="SB_Style_design_text">&#160;</td>
<td height="44px" width="250px" class="SB_Style_design_text">
<xsl:if test="TITLE">
<h4>
<xsl:value-of select="TITLE"/>
</h4>
</xsl:if>
<xsl:apply-templates select="MESSAGE" mode="CRITICAL-ERROR"/>
</td>
<td height="44px" width="16px" class="SB_Style_design_text">&#160;</td>
</tr>
</table>
</td>
</tr>
</table>
</td>
</tr>
</table>
</td>
</tr>
</table>
</xsl:template>
<!--
/////
-->



<xsl:template match="FTPHOST-FORM|REGISTRATION-FORM|ADD-SKIN-FORM|ADD-LANG-FORM|FORM">
<xsl:variable name="cellsTotal">
<xsl:choose>
<xsl:when test="count(//*[@REQUIRED='1'])">3</xsl:when>
<xsl:when test="count(//*[@REQBYCONDITION])">3</xsl:when>
<xsl:otherwise>2</xsl:otherwise>
</xsl:choose>
</xsl:variable>
<form name="{@NAME}" method="post">
<xsl:attribute name="action"><xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="@ACTION"/></xsl:attribute>
<xsl:if test="@ENCTYPE">
<xsl:attribute name="enctype">multipart/form-data</xsl:attribute>
</xsl:if>
<xsl:if test="@ONSUBMIT">
<xsl:attribute name="onsubmit"><xsl:value-of select="@ONSUBMIT"/></xsl:attribute>
</xsl:if>
<xsl:apply-templates select="HIDDEN"/>
<xsl:if test="WARNING">
<table align="center" class="SB_Style_WARNING_BOX" cellpadding="0" cellspacing="0" width="100%">
<tr>
<td width="25%">&#160;</td>
<td width="45%" align="center">
<table align="center" border="0" cellpadding="7" cellspacing="0" width="100%">
<tr>
<td align="left" width="1%">
<img src="{$baseURL}/skins/{$sb_skin}/images/icon_stop.gif"/>
</td>
<td align="left" width="99%">
<xsl:apply-templates select="WARNING" mode="form"/>
</td>
</tr>
</table>
</td>
<td width="30%">&#160;</td>
</tr>
</table>
</xsl:if>
<table class="SB_DIALOG_FORM" width="100%" border="0" cellspacing="0" cellpadding="0">
<xsl:if test="TITLE">
<tr>
<td colspan="{$cellsTotal}" class="SB_Style_formfieldcolorfirst">
<table cellspacing="0" cellpadding="5px" border="0" width="100%">
<tr>
<td align="center" style="padding-left:10px;" width="20%" class="SB_Style_formtitle">
<b>
<xsl:value-of select="TITLE"/>
</b>
</td>
</tr>
</table>
</td>
</tr>
</xsl:if>

<xsl:apply-templates select="FIELD[not(@TYPE) or @TYPE!='hidden']" mode="form">
<xsl:with-param name="cellsTotal" select="$cellsTotal"/>
</xsl:apply-templates>
<tr>
<td colspan="{$cellsTotal}">
<img border="0" src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="1" height="10"/>
</td>
</tr>
<xsl:if test="FORM-BUTTON">
<tr>
<td colspan="{$cellsTotal}">
<table width="100%" border="0" cellspacing="0" cellpadding="0" align="center">
<tr>
<xsl:apply-templates select="FORM-BUTTON"/>
<td width="{99 - count(FORM-BUTTON)}%" class="SB_Style_formtitle">&#160;</td>
</tr>
</table>
</td>
</tr>
<tr>
<td colspan="{$cellsTotal}">
<img border="0" src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="1" height="10"/>
</td>
</tr>
</xsl:if>
</table>
<xsl:if test="FORM-EXT-MOD">
<xsl:apply-templates select="FORM-EXT-MOD"/>
</xsl:if>
<xsl:if test="BUTTON">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
<td>
<img border="0" src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="1" height="10"/>
</td>
</tr>
<tr>
<td>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
<td width="1%" class="SB_Style_formtitle" nowrap="nowrap">
<xsl:choose>
<xsl:when test="REQ">
<span class="SB_Style_AlertText">*&#160;</span>
<xsl:value-of select="REQ"/>
</xsl:when>
<xsl:otherwise>
<span class="SB_Style_AlertText">&#160;</span>
</xsl:otherwise>
</xsl:choose>
&#160;</td>
<td width="{99 - count(BUTTON)}%" class="SB_Style_formtitle">&#160;</td>
<xsl:apply-templates select="BUTTON" mode="form-align-right"/>
</tr>
</table>
</td>
</tr>
</table>
</xsl:if>
</form>
</xsl:template>


<!--
/////
-->

<!-- General -->

<xsl:template match="FIELD" mode="form">
<xsl:param name="cellsTotal" select="'2'"/>
<tr valign="middle">
<xsl:choose>
<xsl:when test="position() mod 2">
<xsl:attribute name="class">SB_Style_formfieldcolor</xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="class">SB_Style_formfieldnocolor</xsl:attribute>
</xsl:otherwise>
</xsl:choose>
<xsl:if test="$cellsTotal = 3">
<td nowrap="nowrap" align="center" width="1%">
<xsl:choose>
<xsl:when test="@REQUIRED='1'">
<span class="SB_Style_AlertText">&#160;*&#160;</span>
</xsl:when>
<xsl:when test="@REQBYCONDITION">
<div>
<xsl:choose>
<xsl:when test="@VISIBLE='1'">
<xsl:attribute name="class">visible_req</xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="class">hidden_req</xsl:attribute>
</xsl:otherwise>
</xsl:choose>
<xsl:attribute name="id"><xsl:value-of select="@REQBYCONDITION"/></xsl:attribute>
<xsl:attribute name="name"><xsl:value-of select="@REQBYCONDITION"/></xsl:attribute>&#160;<span class="SB_Style_AlertText">*</span>&#160;</div>
</xsl:when>
<xsl:otherwise>
<span class="SB_Style_AlertText">&#160;</span>
</xsl:otherwise>
</xsl:choose>
</td>
</xsl:if>
<xsl:choose>
<xsl:when test="@TYPE[.='comment']">
<td class="SB_Style_formtitlePaddingLeft" align="left">
<xsl:choose>
<xsl:when test="@OLD_VALUE!=''"><xsl:attribute name="colspan">3</xsl:attribute></xsl:when>
<xsl:otherwise><xsl:attribute name="colspan">2</xsl:attribute></xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$cellsTotal = 3">
<xsl:attribute name="width">99%</xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="width">100%</xsl:attribute>
</xsl:otherwise>
</xsl:choose>
<br/>
<xsl:value-of select="@TITLE"/>
</td>
</xsl:when>
<xsl:otherwise>
<td nowrap="nowrap" class="SB_Style_formtitlePaddingLeft" align="left">
<xsl:choose>
<xsl:when test="$cellsTotal = 3">
<xsl:attribute name="width">49%</xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="width">50%</xsl:attribute>
</xsl:otherwise>
</xsl:choose>
<xsl:value-of select="@TITLE"/>
<img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="7" height="19" border="0" align="absmiddle"/>
</td>
<xsl:if test="@OLD_VALUE!=''">
<td class="SB_Style_formfield" nowrap="nowrap" style="padding-right:10px;" width="24%">
<xsl:value-of select="@OLD_VALUE"/>
</td>
</xsl:if>
<td class="SB_Style_formfield" style="padding-right:10px;">
<xsl:choose>
<xsl:when test="@OLD_VALUE!=''"><xsl:attribute name="width">25%</xsl:attribute></xsl:when>
<xsl:otherwise><xsl:attribute name="width">49%</xsl:attribute></xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="@TYPE[.='textdata']">
<xsl:call-template name="TEXTDATA"/>
</xsl:when>
<xsl:when test="@TYPE[.='list']">
<xsl:call-template name="COMBOBOX"/>
</xsl:when>
<xsl:when test="@TYPE[.='pswd']">
<xsl:call-template name="PSWDBOX"/>
</xsl:when>
<xsl:when test="@TYPE[.='area']">
<xsl:call-template name="TEXTAREA"/>
</xsl:when>
<xsl:when test="@TYPE[.='check']">
<xsl:call-template name="CHECKBOX"/>
</xsl:when>
<xsl:when test="@TYPE[.='supercheck']">
<xsl:call-template name="SUPERCHECKBOX"/>
</xsl:when>
<xsl:when test="@TYPE[.='hidden']">
<xsl:call-template name="HIDDEN"/>
</xsl:when>
<xsl:when test="@TYPE[.='file']">
<xsl:call-template name="FILE"/>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="TEXTBOX"/>
</xsl:otherwise>
</xsl:choose>
</td>
</xsl:otherwise>
</xsl:choose>
</tr>
</xsl:template>



<!--
////
-->
<xsl:template match="FTPHOST-FORM/WARNING|REGISTRATION-FORM/WARNING|FORM/WARNING">
<tr>
<td width="100%" align="center" colspan="4">
<font size="2" class="SB_Style_searchr_warning">
<b>
<xsl:value-of select="."/>
</b>
</font>
</td>
</tr>
</xsl:template>
<!--
////
-->

<!--
///////
-->
<xsl:template match="ACTION">
<xsl:value-of select="$baseURL"/>
<xsl:value-of select="@BASE"/>?<xsl:apply-templates select="PARAMETER" mode="action"/>
</xsl:template>
<!--
///////
-->
<xsl:template match="PARAMETER" mode="action">
<xsl:value-of select="@NAME"/>=<xsl:value-of select="@VALUE"/>
<xsl:if test="position()!=last()">&amp;</xsl:if>
</xsl:template>
<!--
///////
-->
<xsl:template match="LOCALE" mode="entitylist">
<xsl:value-of select="@NAME"/>="<xsl:value-of select="@VALUE"/>";
</xsl:template>
<!--
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
-->
<xsl:template name="style-css">
<link rel="stylesheet" type="text/css" href="{$baseURL}/skins/{$sb_skin}/style.css"/>
<xsl:choose>
<xsl:when test="$language='he_IL'">
<link rel="stylesheet" type="text/css" href="{$baseURL}/skins/{$sb_skin}/style_rtl.css"/>
</xsl:when>
</xsl:choose>
</xsl:template>
<!--
///////
-->
<xsl:template name="class.SB_Style_formfield">
<xsl:param name="node" select="."/>
<xsl:choose>
<xsl:when test="$node/@SYSTEM and $node/@SYSTEM='true'">
<xsl:choose>
<xsl:when test="$node/@CLASS">
<xsl:attribute name="class">SB_Style_formfield_system<xsl:value-of select="$node/@CLASS"/></xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="class">SB_Style_formfield_system</xsl:attribute>
</xsl:otherwise>
</xsl:choose>
</xsl:when>
<xsl:otherwise>
<xsl:choose>
<xsl:when test="$node/@CLASS">
<xsl:attribute name="class">SB_Style_formfield <xsl:value-of select="$node/@CLASS"/></xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="class">SB_Style_formfield </xsl:attribute>
</xsl:otherwise>
</xsl:choose>
</xsl:otherwise>
</xsl:choose>
</xsl:template>


<xsl:template name="drawExtraField" >
<xsl:param name="id">id</xsl:param>
<xsl:param name="name">NULL</xsl:param>
<xsl:param name="cl">SB_Style_gen_title1</xsl:param>
<xsl:param name="titl">NULL</xsl:param>
<xsl:param name="helpc">help_mes</xsl:param>
<xsl:param name="cont">NULL</xsl:param>
<xsl:param name="onchange">#</xsl:param>
<xsl:param name="req">0</xsl:param>
<xsl:param name="type">text</xsl:param>
<xsl:param name="size">50</xsl:param>
<xsl:param name="nodiv">0</xsl:param>
<xsl:param name="maxlength">255</xsl:param>
<xsl:param name="textareamax">NULL</xsl:param>
<xsl:variable name="sec_size" select="100 - $size"/>

	<table width="100%" border="0" cellpadding="0" cellspacing="0" >
    	<tr>
        	<td valign="top" style="padding-right: 10px;" class="SB_Style_predefpages">
            	<xsl:attribute name="width"><xsl:value-of select="$size"/>%</xsl:attribute>
                <xsl:choose>
                	<xsl:when test="$type='check'">
                		<xsl:if test="$titl!='NULL'"><b><xsl:value-of select="$titl"/></b>
							<xsl:if test="$req='1'"><span class="SB_Style_AlertText">&#160;*&#160;</span></xsl:if>
						</xsl:if>
					</xsl:when>
					<xsl:otherwise>
						<xsl:if test="$titl!='NULL'">
							<div style="padding-bottom: 3px;"><b><xsl:value-of select="$titl"/></b>
								<xsl:if test="$req='1'"><span class="SB_Style_AlertText">&#160;*&#160;</span></xsl:if>
							</div>	
						</xsl:if>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:choose>
					<xsl:when test="$type='text'">
						<input type="text" maxlength="255" style="width: 100%;">
							<xsl:attribute name="maxlength"><xsl:value-of select="$maxlength"/></xsl:attribute>
							<xsl:attribute name="onchange"><xsl:value-of select="$onchange"/></xsl:attribute>
							<xsl:attribute name="id"><xsl:value-of select="$id"/></xsl:attribute>
							<xsl:attribute name="name">
								<xsl:choose>
									<xsl:when test="$name='NULL'">
										<xsl:value-of select="$id"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="$name"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:attribute>
							<xsl:attribute name="class"><xsl:value-of select="$cl"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$cont"/></xsl:attribute>
						</input>
					</xsl:when>
					<xsl:when test="$type='area'">
						<textarea rows="5" style="width: 100%;">
							<xsl:attribute name="onchange"><xsl:value-of select="$onchange"/>; this.onkeyup();</xsl:attribute>
							<xsl:attribute name="onmousemove">this.onkeyup();</xsl:attribute>
							<xsl:attribute name="onkeypress">return this.onkeyup();</xsl:attribute>
							<xsl:attribute name="onblur">this.onkeyup();</xsl:attribute>
							<xsl:attribute name="onkeyup">
								<xsl:choose>
										<xsl:when test="$textareamax='NULL'">void(1);</xsl:when>
										<xsl:otherwise>checkLengthofTextArea(this,<xsl:value-of select="$textareamax"/>);</xsl:otherwise>
								</xsl:choose>
							</xsl:attribute>
							<xsl:attribute name="id"><xsl:value-of select="$id"/></xsl:attribute>
							<xsl:attribute name="name">
								<xsl:choose>
								<xsl:when test="$name='NULL'">
								<xsl:value-of select="$id"/>
								</xsl:when>
								<xsl:otherwise>
								<xsl:value-of select="$name"/>
								</xsl:otherwise>
								</xsl:choose>
							</xsl:attribute>
							<xsl:attribute name="class"><xsl:value-of select="$cl"/></xsl:attribute>
							<xsl:value-of select="$cont"/>
						</textarea>
					</xsl:when>
					<xsl:when test="$type='password'">
						<input type="password" style="width: 100%;">
							<xsl:attribute name="maxlength"><xsl:value-of select="$maxlength"/></xsl:attribute>
							<xsl:attribute name="onchange"><xsl:value-of select="$onchange"/></xsl:attribute>
							<xsl:attribute name="id"><xsl:value-of select="$id"/></xsl:attribute>
							<xsl:attribute name="name">
								<xsl:choose>
									<xsl:when test="$name='NULL'">                
									<xsl:value-of select="$id"/>
									</xsl:when>
									<xsl:otherwise>
									<xsl:value-of select="$name"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:attribute>
							<xsl:attribute name="class"><xsl:value-of select="$cl"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$cont"/></xsl:attribute>
						</input>
					</xsl:when>
					<xsl:when test="$type='check'">
						<span style="vertical-align: middle;">
							<xsl:choose>
								<xsl:when test="$cont='true'">
									<input type="checkbox" checked="true">                                                          
										<xsl:attribute name="onchange"><xsl:value-of select="$onchange"/></xsl:attribute>
										<xsl:attribute name="id"><xsl:value-of select="$id"/></xsl:attribute>
										<xsl:attribute name="name">
											<xsl:choose>
												<xsl:when test="$name='NULL'">
													<xsl:value-of select="$id"/>
												</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="$name"/>
												</xsl:otherwise>
											</xsl:choose>
										</xsl:attribute>
									</input>
								</xsl:when>
								<xsl:otherwise>
									<input type="checkbox">
										<xsl:attribute name="onchange"><xsl:value-of select="$onchange"/></xsl:attribute>
										<xsl:attribute name="id"><xsl:value-of select                ="$id"/></xsl:attribute>
										<xsl:attribute name="name">
											<xsl:choose>
												<xsl:when test="$name='NULL'">
												<xsl:value-of select="$id"/>
												</xsl:when>
												<xsl:otherwise>
												<xsl:value-of select="$name"/>
												</xsl:otherwise>
											</xsl:choose>
										</xsl:attribute>
									</input>
								</xsl:otherwise>
							</xsl:choose>
						</span>
					</xsl:when>
					<xsl:when test="$type='arbitrary'">
						<xsl:copy-of select="$cont"/>
					</xsl:when>
					<xsl:when test="$type='list'">
						<select style="width: 100%;">
								<xsl:attribute name="onchange"><xsl:value-of select="$onchange"/></xsl:attribute>
								<xsl:attribute name="id"><xsl:value-of select="$id"/></xsl:attribute>
								<xsl:attribute name="name">
									<xsl:choose>
									<xsl:when test="$name='NULL'">
									<xsl:value-of select="$id"/>
									</xsl:when>
									<xsl:otherwise>
									<xsl:value-of select="$name"/>
									</xsl:otherwise>
									</xsl:choose>
								</xsl:attribute>
								<xsl:attribute name="class"><xsl:value-of select="$cl"/></xsl:attribute>
								<xsl:copy-of select="$cont"/>
						</select>
					</xsl:when>
				</xsl:choose>
			</td>
			<td align="right" width='5' height= '100%'>
				<img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' style="height: 100%;"/>
			</td>
			<td valign="top" class="SB_Style_genpages" width="50%">
				<xsl:attribute name="width"><xsl:value-of select="$sec_size"/>%</xsl:attribute>
				<p align="justify"><xsl:value-of select="$helpc"/></p>
			</td>
		</tr>
	</table>
	<xsl:if test="$nodiv=0"><div style="width:1px; height:10px;"><spacer type="block" width="1" height="1"/></div></xsl:if>
</xsl:template>


<xsl:template name="LOADER">
	<iframe src="{$baseURL}/blank.html" id="SB_loader_iframe" name="SB_loader_iframe" frameBorder='0' scrolling='no' style='z-index: 99; border-width: 0px; width: 420px; height: 80px; position: absolute; display: none;'></iframe>
		<table id="SB_loader_table" name="SB_loader_table" cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="z-index: 98; position: absolute; display: none;">
			<tr>
				<td id="SB_loader_td" name="SB_loader_td" style="background: #ffffff; filter: alpha(opacity=40);">
					<xsl:if test="$browser='MOZILLA'">
						<xsl:attribute name="style">background: #ffffff; -moz-opacity: 0.40;</xsl:attribute>
					</xsl:if>

				</td>
			</tr>
		</table>
		<div id="DIV_DESKTOP" class="background-image : url({$baseURL}/skins/{$sb_skin}/images/empty.gif);">&#160;</div>
		<div id="loader" style="z-index: 100; display: none;">
			<table summary="Loader Layout"        border="0" cellpadding="0" cellspacing="0" width="100%"  height="100%">
				<tr>
					<td valign="middle" align="center">
						<table cellpadding="0" cellspacing="0" border="0" width="100%"  height="100%">
							<tr>
								<td valign="middle"  align="center" width="26"><img src="{$baseURL}/skins/{$sb_skin}/images/clocks.gif" align="center"        border="0" hspace="0" vspace="0" height="26" width="26"        alt="clocks"/></td>
								<td valign="middle"><xsl:value-of select="//@ON_LOAD_MESSAGE" disable-output-escaping="yes"/></td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</div>
		<script type="text/javascript" language="JavaScript">dc(1);</script>
</xsl:template>


</xsl:stylesheet>
