#!/bin/sh

CURRENT_VERSION=1

CheckDatabaseVersion()
{
DB_NOTEXIST=-1
sb_database="sitebuilder"
SB_LOGIN="sb_user"
SB_PSWD="sb_user"
IS_DB_EXIST=`/usr/bin/mysql -u$SB_LOGIN -p$SB_PSWD -e "show databases" 2> /dev/null | grep $sb_database`
if [ "X$IS_DB_EXIST" != "X" ]; then
VERS=`/usr/bin/mysql -u$SB_LOGIN -p$SB_PSWD -B -s -e "use sitebuilder;select value from db_version limit 1;" 2> /dev/null`
if [ "$VERS" = "" ]; then
    VERS=0
fi
if [ $CURRENT_VERSION -gt $VERS ]; then
fromv$VERS $CURRENT_VERSION
fi
else
return $DB_NOTEXIST;
fi
}

fromv0()
{
UPDATEDBERROR=20
SB_LOGIN="sb_user"
SB_PSWD="sb_user"
PSA_LOGIN="admin"
FILE_PSA_PASSWD=/etc/psa/.psa.shadow
PSA_PSWD=`cat $FILE_PSA_PASSWD`
DATABASE_VERSION=$1

    echo "===> Updating database from version 0 to $CURRENT_VERSION" 
    `/usr/bin/mysql -u$PSA_LOGIN -p"$PSA_PSWD" -e "use mysql;DELETE FROM user where host='localhost' and user='sb_user';" 2> /dev/null`
    if [ $? == 0 ]; then
    `/usr/bin/mysql -u$PSA_LOGIN -p$PSA_PSWD -e "use mysql;INSERT INTO user (Host, User, Password, Select_priv, Insert_priv, Update_priv, Delete_priv, Create_priv, Drop_priv, Reload_priv, Shutdown_priv, Process_priv, File_priv, Grant_priv, References_priv, Index_priv, Alter_priv) VALUES ('localhost', 'sb_user', '1ee459fd7f78e4f8', 'Y', 'Y', 'Y', 'Y', 'Y', 'Y', 'Y', 'Y', 'Y', 'Y', 'Y', 'Y', 'Y', 'Y');"`
    else
	echo "===> Error updating database1"
	return $UPDATEDBERROR
    fi
    if [ $? == 0 ]; then
    `/usr/bin/mysql -u$PSA_LOGIN -p$PSA_PSWD -e "use mysql;DELETE FROM tables_priv where host='localhost' and user='sb_user';"`
    else
	echo "===> Error updating database2"
	return $UPDATEDBERROR
    fi
    if [ $? == 0 ]; then
    `/usr/bin/mysql -u$PSA_LOGIN -p$PSA_PSWD -e "use mysql;INSERT INTO tables_priv (Host, Db, User, Table_name, Grantor, Timestamp, Table_priv, Column_priv) VALUES ('localhost', '".$dbName."', 'sb_user', '%', '', 20041028102843, 'Select,Insert,Update,Delete,Alter', 'Select,Insert,Update,Delete,Alter');"`
    else
	echo "===> Error updating database3"
	return $UPDATEDBERROR
    fi
    if [ $? == 0 ]; then
    `/usr/bin/mysql -u$PSA_LOGIN -p$PSA_PSWD -e "use mysql;DELETE FROM db where host='localhost' and db='".$dbName."' and user='sb_user';"`
    else
	echo "===> Error updating database4"
	return $UPDATEDBERROR
    fi
    if [ $? == 0 ]; then
    `/usr/bin/mysql -u$PSA_LOGIN -p$PSA_PSWD -e "use mysql;INSERT INTO db (Host, Db, User, Select_priv, Insert_priv, Update_priv, Delete_priv, Create_priv, Drop_priv, Grant_priv, References_priv, Index_priv, Alter_priv) VALUES ('localhost', '".$dbName."', 'sb_user', 'Y', 'Y', 'Y', 'Y', 'Y', 'Y', 'Y', 'Y', 'Y', 'Y');"`
    else
	echo "===> Error updating database5"
	return $UPDATEDBERROR
    fi
    if [ $? == 0 ]; then
    `/usr/bin/mysql -u$PSA_LOGIN -p$PSA_PSWD -e "FLUSH PRIVILEGES;"`
    else
	echo "===> Error updating database6"
	return $UPDATEDBERROR
    fi

    if [ $? == 0 ]; then
    `/usr/bin/mysql -u$SB_LOGIN -p$SB_PSWD -e "use sitebuilder;CREATE TABLE db_version ( value varchar(10) NOT NULL default '1');"`
    else
	echo "===> Error updating database7"
	return $UPDATEDBERROR
    fi

    if [ $? == 0 ]; then
    `/usr/bin/mysql -u$SB_LOGIN -p$SB_PSWD -e "use sitebuilder;INSERT INTO db_version VALUES ('$DATABASE_VERSION')"`
    else
	echo "===> Error updating database8"
    fi
    
}

fromv1()
{
# No action required yet..
echo "===> Database version: $DBVER"
}

CheckDatabaseVersion

exit 0;